View Issue Details

IDProjectCategoryView StatusLast Update
0002845OpenFOAMPatchpublic2018-03-05 20:15
Reporterkunda1Assigned Tohenry 
PrioritylowSeveritytrivialReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Fixed in Versiondev 
Summary0002845: Misc. typo fixes pt2
DescriptionFollow up to #2844
Please see patch https://patch-diff.githubusercontent.com/raw/OpenFOAM/OpenFOAM-dev/pull/17.patch
Here is the visual diff: https://github.com/OpenFOAM/OpenFOAM-dev/pull/17/files
TagsNo tags attached.

Activities

henry

2018-02-14 20:13

manager   ~0009312

It is not clear how you generated these diff's and rather than post very large pull requests it would be more useful if code contributions could be scanned to avoid these errors in the future.

henry

2018-02-14 20:16

manager   ~0009313

Do you know how to get codespell to check only comments and not generate very large numbers of messages concerning variable names, e.g.

./src/OpenFOAM/meshes/meshShapes/cell/cell.C:168: allEdges ==> alleges

kunda1

2018-02-14 20:18

reporter   ~0009314

Not sure what you mean by scanned.
If you append .diff or patch to the end of PR URL you get a raw diff or patch respectively.

kunda1

2018-02-14 20:21

reporter   ~0009315

@henry
> Do you know how to get codespell to check only comments and not generate very large numbers of messages concerning variable names, e.g.

I just add them in to a whitelist file for now (see the description in https://bugs.openfoam.org/view.php?id=2844 for the flags I used). Codespell doesn't have a methodology yet to do this.

henry

2018-02-14 20:28

manager   ~0009316

> Not sure what you mean by scanned

Currently codespell is generating error messages for apparent spelling mistakes in variable names in the code and not just the comments, e.g.

    edgeList allEdges(maxNoEdges);

is a code line and should not be "scanned" by codespell, it should only check comment lines.

It appears that the codespell available for OpenSuSE which is version 1.8 does not pick up all of the errors and most of the messages relate to code lines.

kunda1

2018-02-14 20:34

reporter   ~0009317

Like i said in ~9311 I'm using the 1.12 dev version.
For now the way I deal with false positives is be adding them in to a whitelist and then using the -I flag

I have found many typos in the source code (not just comments), so I don't mind the false positives.

kunda1

2018-02-14 20:34

reporter   ~0009318

This is an old version of MantisBT I see.
~9311 = https://bugs.openfoam.org/view.php?id=2844#c9311

kunda1

2018-02-14 20:40

reporter   ~0009319

Please feel to open a ticket on the codespell github repo with your feedback:
https://github.com/lucasdemarchi/codespell

Sorry for stacking comments...I'd edit them if I had access.

kunda1

2018-02-17 10:25

reporter   ~0009323

Anything blocking from merge that I can attend to ?

henry

2018-02-17 10:49

manager   ~0009324

As I said before being presented with a large pull-request is not very helpful as it needs to be checked. It would be easier if the current code and future code and contributions can more easily be checked. I use flyspell in emacs which checks only comments and strings and hence is easier to work with when writing code than codespell but less easy to use to check existing code and contributions. I will need to spend some time on this but it is very low priority as it does affect the operation of the code and there are many more important issues to deal with right now.

kunda1

2018-02-17 11:08

reporter   ~0009325

I'm splitting the patch up in to more manageable pieces:

OpenFOAM-misc-typos-split1.patch (47,114 bytes)
From c25af53bd03e697d449e2d8bc13f4a999697221d Mon Sep 17 00:00:00 2001
From: "luz.paz" <luzpaz@users.noreply.github.com>
Date: Sat, 17 Feb 2018 06:02:00 -0500
Subject: [PATCH] Misc. source comments and documentation typos

Typos from wmake/ tutorials/ etc/ and applications/
---
 applications/solvers/combustion/PDRFoam/setDeltaT.H          |  2 +-
 applications/solvers/multiphase/cavitatingFoam/setDeltaT.H   |  2 +-
 .../wallBoilingSubModels/partitioningModels/cosine/cosine.H  |  2 +-
 .../wallBoilingSubModels/partitioningModels/linear/linear.H  |  2 +-
 .../partitioningModels/phaseFraction/phaseFraction.H         |  2 +-
 .../functionObjects/sizeDistribution/sizeDistribution.H      |  2 +-
 .../NonRandomTwoLiquid/NonRandomTwoLiquid.H                  |  4 ++--
 .../driftModels/phaseChange/phaseChange.H                    |  2 +-
 .../populationBalanceModel/populationBalanceModel.H          |  2 +-
 .../twoPhaseEulerFoam/twoPhaseSystem/twoPhaseSystem.C        |  2 +-
 applications/test/ensightFoamReader/udr_checker-80.c         | 12 ++++++------
 applications/test/ensightFoamReader/udr_checker-90.c         | 12 ++++++------
 .../mesh/conversion/Optional/ccm26ToFoam/ccm26ToFoam.C       |  2 +-
 .../mesh/conversion/ideasUnvToFoam/ideasUnvToFoam.C          |  4 ++--
 .../foamyHexMeshBackgroundMesh/foamyHexMeshBackgroundMesh.C  |  2 +-
 .../utilities/mesh/manipulation/renumberMesh/renumberMesh.C  |  2 +-
 .../foamHelp/helpTypes/helpBoundary/helpBoundary.C           |  2 +-
 .../graphics/PVReaders/vtkPVblockMesh/vtkPVblockMesh.C       |  2 +-
 .../postProcessing/graphics/ensightFoamReader/README         |  2 +-
 .../postProcessing/graphics/ensightFoamReader/README7        |  2 +-
 .../graphics/ensightFoamReader/README_1.0_to_2.0             |  4 ++--
 .../graphics/ensightFoamReader/README_2.01_to_2.03           |  4 ++--
 .../graphics/ensightFoamReader/README_USERD_1.0              |  2 +-
 .../graphics/ensightFoamReader/README_USERD_2.0              |  2 +-
 .../graphics/ensightFoamReader/README_USERD_2.01             |  2 +-
 .../graphics/ensightFoamReader/README_USERD_2.03             |  6 +++---
 .../graphics/ensightFoamReader/README_USERD_2.03_CHANGES     |  4 ++--
 .../graphics/ensightFoamReader/README_USERD_2.05             |  6 +++---
 .../graphics/ensightFoamReader/README_USERD_2.06             |  6 +++---
 .../graphics/ensightFoamReader/README_USERD_2.07             |  6 +++---
 .../graphics/ensightFoamReader/README_USERD_2.08             |  6 +++---
 .../utilities/preProcessing/engineSwirl/engineSwirl.C        |  2 +-
 .../surface/surfaceBooleanFeatures/surfaceBooleanFeatures.C  |  4 ++--
 .../surface/surfaceSplitByTopology/surfaceSplitByTopology.C  |  2 +-
 .../icoUncoupledKinematicCloud/icoUncoupledKinematicCloud    |  2 +-
 etc/config.csh/settings                                      |  2 +-
 etc/thermoData/thermoData                                    |  2 +-
 .../rhoPimpleFoam/RAS/angledDuct/system/blockMeshDict.m4     |  4 ++--
 .../rhoPimpleFoam/RAS/angledDuctLTS/system/blockMeshDict.m4  |  4 ++--
 .../angledDuctImplicit/system/blockMeshDict.m4               |  4 ++--
 .../angledDuctExplicitFixedCoeff/system/blockMeshDict.m4     |  4 ++--
 .../angledDuctImplicit/system/blockMeshDict.m4               |  4 ++--
 .../interFoam/RAS/angledDuct/system/blockMeshDict.m4         |  4 ++--
 wmake/scripts/AllwmakeParseArguments                         |  2 +-
 wmake/wmakeCollect                                           |  2 +-
 45 files changed, 77 insertions(+), 77 deletions(-)

diff --git a/applications/solvers/combustion/PDRFoam/setDeltaT.H b/applications/solvers/combustion/PDRFoam/setDeltaT.H
index b003854e7..1bc630f27 100644
--- a/applications/solvers/combustion/PDRFoam/setDeltaT.H
+++ b/applications/solvers/combustion/PDRFoam/setDeltaT.H
@@ -26,7 +26,7 @@ Global
 
 Description
     Reset the timestep to maintain a constant maximum courant Number.
-    Reduction of time-step is imediate but increase is damped to avoid
+    Reduction of time-step is immediate but increase is damped to avoid
     unstable oscillations.
 
 \*---------------------------------------------------------------------------*/
diff --git a/applications/solvers/multiphase/cavitatingFoam/setDeltaT.H b/applications/solvers/multiphase/cavitatingFoam/setDeltaT.H
index cf402dccf..9d0bac58a 100644
--- a/applications/solvers/multiphase/cavitatingFoam/setDeltaT.H
+++ b/applications/solvers/multiphase/cavitatingFoam/setDeltaT.H
@@ -26,7 +26,7 @@ Global
 
 Description
     Reset the timestep to maintain a constant maximum courant Number.
-    Reduction of time-step is imediate but increase is damped to avoid
+    Reduction of time-step is immediate but increase is damped to avoid
     unstable oscillations.
 
 \*---------------------------------------------------------------------------*/
diff --git a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/cosine/cosine.H b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/cosine/cosine.H
index 1ae653546..c887bd836 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/cosine/cosine.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/cosine/cosine.H
@@ -91,7 +91,7 @@ public:
 
     // Member Functions
 
-        //- Calculate and return the wall heat-flux partioning
+        //- Calculate and return the wall heat-flux partitioning
         virtual tmp<scalarField> fLiquid(const scalarField& alphaLiquid) const;
 
         virtual void write(Ostream& os) const;
diff --git a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/linear/linear.H b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/linear/linear.H
index 9694a8752..472827b22 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/linear/linear.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/linear/linear.H
@@ -92,7 +92,7 @@ public:
 
     // Member Functions
 
-        //- Calculate and return the wall heat-flux partioning
+        //- Calculate and return the wall heat-flux partitioning
         virtual tmp<scalarField> fLiquid(const scalarField& alphaLiquid) const;
 
         virtual void write(Ostream& os) const;
diff --git a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/phaseFraction/phaseFraction.H b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/phaseFraction/phaseFraction.H
index 34ccb1ae1..ce6fe06b1 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/phaseFraction/phaseFraction.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/derivedFvPatchFields/wallBoilingSubModels/partitioningModels/phaseFraction/phaseFraction.H
@@ -73,7 +73,7 @@ public:
 
     // Member Functions
 
-        //- Calculate and return the wall heat-flux partioning
+        //- Calculate and return the wall heat-flux partitioning
         virtual tmp<scalarField> fLiquid(const scalarField& alphaLiquid) const;
 };
 
diff --git a/applications/solvers/multiphase/reactingEulerFoam/functionObjects/sizeDistribution/sizeDistribution.H b/applications/solvers/multiphase/reactingEulerFoam/functionObjects/sizeDistribution/sizeDistribution.H
index e54f6ee3c..099c77058 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/functionObjects/sizeDistribution/sizeDistribution.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/functionObjects/sizeDistribution/sizeDistribution.H
@@ -181,7 +181,7 @@ protected:
         //- Number concentrations
         List<scalar> N_;
 
-        //- Write moments up to spezified order with respect to abszissaType
+        //- Write moments up to specified order with respect to abszissaType
         label momentOrder_;
 
         //- Normalization switch
diff --git a/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/interfaceCompositionModels/NonRandomTwoLiquid/NonRandomTwoLiquid.H b/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/interfaceCompositionModels/NonRandomTwoLiquid/NonRandomTwoLiquid.H
index 2642a1ef3..427aea093 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/interfaceCompositionModels/NonRandomTwoLiquid/NonRandomTwoLiquid.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/interfacialCompositionModels/interfaceCompositionModels/NonRandomTwoLiquid/NonRandomTwoLiquid.H
@@ -88,10 +88,10 @@ class NonRandomTwoLiquid
         //- Non-randomness constant parameter for species 2
         dimensionedScalar alpha21_;
 
-        //- Non-randomness linear paramater for species 1
+        //- Non-randomness linear parameter for species 1
         dimensionedScalar beta12_;
 
-        //- Non-randomness linear paramater for species 2
+        //- Non-randomness linear parameter for species 2
         dimensionedScalar beta21_;
 
         //- Interaction parameter model for species 1
diff --git a/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/driftModels/phaseChange/phaseChange.H b/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/driftModels/phaseChange/phaseChange.H
index bc209d239..87352e184 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/driftModels/phaseChange/phaseChange.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/driftModels/phaseChange/phaseChange.H
@@ -56,7 +56,7 @@ class phaseChange
 {
     // Private data
 
-        //- Names of unorderd phasePairs between which phaseChange occurs, i.e.
+        //- Names of unordered phasePairs between which phaseChange occurs, i.e.
         //  "(gasIAndLiquid gasIIAndLiquid)"
         List<word> pairNames_;
 
diff --git a/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/populationBalanceModel/populationBalanceModel.H b/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/populationBalanceModel/populationBalanceModel.H
index 432d16b4f..7952bad16 100644
--- a/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/populationBalanceModel/populationBalanceModel.H
+++ b/applications/solvers/multiphase/reactingEulerFoam/phaseSystems/populationBalanceModel/populationBalanceModel/populationBalanceModel.H
@@ -33,7 +33,7 @@ Description
     Ramkrishna (1996). The source terms are written in a way that particle
     number and mass are preserved. Coalescence (aggregation), breakup, drift
     (growth and surface loss) as well as nucleation are supported.
-    For the discrete breakup term two recipies are available, depending on the
+    For the discrete breakup term two recipes are available, depending on the
     model choice. For models which state a total breakup rate and a separate
     daughter size distribution function, the formulation of Kumar and Ramkrishna
     (1996) is applied which is applicable for binary and multiple breakup
diff --git a/applications/solvers/multiphase/twoPhaseEulerFoam/twoPhaseSystem/twoPhaseSystem.C b/applications/solvers/multiphase/twoPhaseEulerFoam/twoPhaseSystem/twoPhaseSystem.C
index c6861dcf2..f9810ceb9 100644
--- a/applications/solvers/multiphase/twoPhaseEulerFoam/twoPhaseSystem/twoPhaseSystem.C
+++ b/applications/solvers/multiphase/twoPhaseEulerFoam/twoPhaseSystem/twoPhaseSystem.C
@@ -183,7 +183,7 @@ Foam::twoPhaseSystem::twoPhaseSystem
             pair_,
             pair1In2_,
             pair2In1_,
-            false // Do not zero drag coefficent at fixed-flux BCs
+            false // Do not zero drag coefficient at fixed-flux BCs
         )
     );
 
diff --git a/applications/test/ensightFoamReader/udr_checker-80.c b/applications/test/ensightFoamReader/udr_checker-80.c
index 22fb6feb5..8b8e5ce19 100644
--- a/applications/test/ensightFoamReader/udr_checker-80.c
+++ b/applications/test/ensightFoamReader/udr_checker-80.c
@@ -3345,7 +3345,7 @@ gold_var_loader(int var_time_step)
           if(nsize > 0) {
             values = (float *) calloc((nsize+1),sizeof(float));
             if(values == (float *) NULL) {
-              fprintf(stderr,"Error: alocating variable values\n");
+              fprintf(stderr,"Error: allocating variable values\n");
               return(Z_ERR);
             }
 
@@ -3490,7 +3490,7 @@ gold_var_loader(int var_time_step)
 
               values = (float *) calloc((nsize+1),sizeof(float));
               if(values == (float *) NULL) {
-                fprintf(stderr,"Error: alocating variable values\n");
+                fprintf(stderr,"Error: allocating variable values\n");
                 return(Z_ERR);
               }
 
@@ -4179,7 +4179,7 @@ var_loader(int var_time_step)
           if(nsize > 0) {
             values = (float *) calloc((num_comps * nsize),sizeof(float));
             if(values == (float *) NULL) {
-              fprintf(stderr,"Error: alocating variable values\n");
+              fprintf(stderr,"Error: allocating variable values\n");
               return(Z_ERR);
             }
 
@@ -4240,7 +4240,7 @@ var_loader(int var_time_step)
 
                 tvalues = (float *) calloc(nsize,sizeof(float));
                 if(tvalues == (float *) NULL) {
-                  fprintf(stderr,"Error: alocating tvalues array\n");
+                  fprintf(stderr,"Error: allocating tvalues array\n");
                   return(Z_ERR);
                 }
 
@@ -4364,7 +4364,7 @@ var_loader(int var_time_step)
 
               values = (float *) calloc((num_comps * nsize),sizeof(float));
               if(values == (float *) NULL) {
-                fprintf(stderr,"Error: alocating variable values\n");
+                fprintf(stderr,"Error: allocating variable values\n");
                 return(Z_ERR);
               }
 
@@ -4424,7 +4424,7 @@ var_loader(int var_time_step)
 
                   tvalues = (float *) calloc(nsize,sizeof(float));
                   if(tvalues == (float *) NULL) {
-                    fprintf(stderr,"Error: alocating tvalues array\n");
+                    fprintf(stderr,"Error: allocating tvalues array\n");
                     return(Z_ERR);
                   }
 
diff --git a/applications/test/ensightFoamReader/udr_checker-90.c b/applications/test/ensightFoamReader/udr_checker-90.c
index c3197bf8e..5addb1ae4 100644
--- a/applications/test/ensightFoamReader/udr_checker-90.c
+++ b/applications/test/ensightFoamReader/udr_checker-90.c
@@ -3806,7 +3806,7 @@ gold_var_loader(int var_time_step)
           if(nsize > 0) {
             values = (float *) calloc((nsize+1),sizeof(float));
             if(values == (float *) NULL) {
-              fprintf(stderr,"Error: alocating variable values\n");
+              fprintf(stderr,"Error: allocating variable values\n");
               return(Z_ERR);
             }
 
@@ -3976,7 +3976,7 @@ gold_var_loader(int var_time_step)
 
               values = (float *) calloc((nsize+1),sizeof(float));
               if(values == (float *) NULL) {
-                fprintf(stderr,"Error: alocating variable values\n");
+                fprintf(stderr,"Error: allocating variable values\n");
                 return(Z_ERR);
               }
 
@@ -4665,7 +4665,7 @@ var_loader(int var_time_step)
           if(nsize > 0) {
             values = (float *) calloc((num_comps * nsize),sizeof(float));
             if(values == (float *) NULL) {
-              fprintf(stderr,"Error: alocating variable values\n");
+              fprintf(stderr,"Error: allocating variable values\n");
               return(Z_ERR);
             }
 
@@ -4726,7 +4726,7 @@ var_loader(int var_time_step)
 
                 tvalues = (float *) calloc(nsize,sizeof(float));
                 if(tvalues == (float *) NULL) {
-                  fprintf(stderr,"Error: alocating tvalues array\n");
+                  fprintf(stderr,"Error: allocating tvalues array\n");
                   return(Z_ERR);
                 }
 
@@ -4850,7 +4850,7 @@ var_loader(int var_time_step)
 
               values = (float *) calloc((num_comps * nsize),sizeof(float));
               if(values == (float *) NULL) {
-                fprintf(stderr,"Error: alocating variable values\n");
+                fprintf(stderr,"Error: allocating variable values\n");
                 return(Z_ERR);
               }
 
@@ -4910,7 +4910,7 @@ var_loader(int var_time_step)
 
                   tvalues = (float *) calloc(nsize,sizeof(float));
                   if(tvalues == (float *) NULL) {
-                    fprintf(stderr,"Error: alocating tvalues array\n");
+                    fprintf(stderr,"Error: allocating tvalues array\n");
                     return(Z_ERR);
                   }
 
diff --git a/applications/utilities/mesh/conversion/Optional/ccm26ToFoam/ccm26ToFoam.C b/applications/utilities/mesh/conversion/Optional/ccm26ToFoam/ccm26ToFoam.C
index 854dea352..1ee0c16dd 100644
--- a/applications/utilities/mesh/conversion/Optional/ccm26ToFoam/ccm26ToFoam.C
+++ b/applications/utilities/mesh/conversion/Optional/ccm26ToFoam/ccm26ToFoam.C
@@ -759,7 +759,7 @@ int main(int argc, char *argv[])
             << endl;
 
         // Create some default patch names/types. These will be overwritten
-        // by any problem desciption (if it is there)
+        // by any problem description (if it is there)
         foamPatchTypes.setSize(foamPatchStarts.size());
         foamPatchNames.setSize(foamPatchStarts.size());
 
diff --git a/applications/utilities/mesh/conversion/ideasUnvToFoam/ideasUnvToFoam.C b/applications/utilities/mesh/conversion/ideasUnvToFoam/ideasUnvToFoam.C
index 456d024df..ca61d4fdb 100644
--- a/applications/utilities/mesh/conversion/ideasUnvToFoam/ideasUnvToFoam.C
+++ b/applications/utilities/mesh/conversion/ideasUnvToFoam/ideasUnvToFoam.C
@@ -577,7 +577,7 @@ void readDOFS
     DynamicList<labelList>& dofVertices
 )
 {
-    Info<< "Starting reading contraints at line " << is.lineNumber() << '.'
+    Info<< "Starting reading constraints at line " << is.lineNumber() << '.'
         << endl;
 
     string line;
@@ -942,7 +942,7 @@ int main(int argc, char *argv[])
         Info<< "Using " << dofVertIndices.size()
             << " DOF sets to detect boundary faces."<< endl;
 
-        // Renumber vertex numbers on contraints
+        // Renumber vertex numbers on constraints
         forAll(dofVertIndices, patchi)
         {
             inplaceRenumber(unvToFoam, dofVertIndices[patchi]);
diff --git a/applications/utilities/mesh/generation/foamyMesh/foamyHexMeshBackgroundMesh/foamyHexMeshBackgroundMesh.C b/applications/utilities/mesh/generation/foamyMesh/foamyHexMeshBackgroundMesh/foamyHexMeshBackgroundMesh.C
index 9330575c6..452620f8d 100644
--- a/applications/utilities/mesh/generation/foamyMesh/foamyHexMeshBackgroundMesh/foamyHexMeshBackgroundMesh.C
+++ b/applications/utilities/mesh/generation/foamyMesh/foamyHexMeshBackgroundMesh/foamyHexMeshBackgroundMesh.C
@@ -571,7 +571,7 @@ int main(int argc, char *argv[])
     }
 
 
-    Info<< "Refining backgroud mesh according to cell size specification" << nl
+    Info<< "Refining background mesh according to cell size specification" << nl
         << endl;
 
     backgroundMeshDecomposition backgroundMesh
diff --git a/applications/utilities/mesh/manipulation/renumberMesh/renumberMesh.C b/applications/utilities/mesh/manipulation/renumberMesh/renumberMesh.C
index ce82a8af5..04de788a8 100644
--- a/applications/utilities/mesh/manipulation/renumberMesh/renumberMesh.C
+++ b/applications/utilities/mesh/manipulation/renumberMesh/renumberMesh.C
@@ -941,7 +941,7 @@ int main(int argc, char *argv[])
     }
     else
     {
-        // Detemines sorted back to original cell ordering
+        // Determines sorted back to original cell ordering
         cellOrder = renumberPtr().renumber
         (
             mesh,
diff --git a/applications/utilities/miscellaneous/foamHelp/helpTypes/helpBoundary/helpBoundary.C b/applications/utilities/miscellaneous/foamHelp/helpTypes/helpBoundary/helpBoundary.C
index 893f7f345..12c002dfe 100644
--- a/applications/utilities/miscellaneous/foamHelp/helpTypes/helpBoundary/helpBoundary.C
+++ b/applications/utilities/miscellaneous/foamHelp/helpTypes/helpBoundary/helpBoundary.C
@@ -93,7 +93,7 @@ void Foam::helpTypes::helpBoundary::execute
     if (abortVar)
     {
         FatalErrorInFunction
-            << "Please unset FOAM_ABORT to use this utlity"
+            << "Please unset FOAM_ABORT to use this utility"
             << exit(FatalError);
     }
 
diff --git a/applications/utilities/postProcessing/graphics/PVReaders/vtkPVblockMesh/vtkPVblockMesh.C b/applications/utilities/postProcessing/graphics/PVReaders/vtkPVblockMesh/vtkPVblockMesh.C
index a9cc175c2..90a0412a7 100644
--- a/applications/utilities/postProcessing/graphics/PVReaders/vtkPVblockMesh/vtkPVblockMesh.C
+++ b/applications/utilities/postProcessing/graphics/PVReaders/vtkPVblockMesh/vtkPVblockMesh.C
@@ -410,7 +410,7 @@ void Foam::vtkPVblockMesh::Update
     updateFoamMesh();
     reader_->UpdateProgress(0.5);
 
-    // Convert mesh elemente
+    // Convert mesh element
     int blockNo = 0;
 
     convertMeshCorners(output, blockNo);
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README b/applications/utilities/postProcessing/graphics/ensightFoamReader/README
index 6c252962e..66b8a580f 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README
@@ -902,7 +902,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
        For unstructured parts, you can read them from your file if
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README7 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README7
index 67b347736..837c58407 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README7
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README7
@@ -902,7 +902,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
        For unstructured parts, you can read them from your file if
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_1.0_to_2.0 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_1.0_to_2.0
index b9381099e..60717b54a 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_1.0_to_2.0
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_1.0_to_2.0
@@ -7,7 +7,7 @@ Note that you do not have to update your (1.0 API) user defined reader if it
 is already working fine for you.
 
 You should consider it if:
-  - efficieny gains are needed or
+  - efficiency gains are needed or
   - you need access to complex variables or
   - you need access to tensor variables or
   - you need multiple timeset capability or
@@ -345,7 +345,7 @@ USERD_get_element_ids_for_part              USERD_get_part_element_ids_by_type
                       (Can be a dummy) ->   USERD_get_model_extents
                             (Required) ->   USERD_get_reader_version
 
-     multiple timeset releated:
+     multiple timeset related:
                             (Required) ->   USERD_get_number_timesets
                             (Required) ->   USERD_get_timeset_description
                             (Required) ->   USERD_get_geom_timeset_number
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_2.01_to_2.03 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_2.01_to_2.03
index 23f27ec89..2cae8f514 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_2.01_to_2.03
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_2.01_to_2.03
@@ -74,7 +74,7 @@ called is given.
         USERD_get_number_of_materials
         USERD_get_matf_var_info
 
-      For each elment type of each part containing material ids, calls:
+      For each element type of each part containing material ids, calls:
         USERD_size_matf_data
         USERD_load_matf_data
 
@@ -1344,7 +1344,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
  
  
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_1.0 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_1.0
index 95eebcaba..f0b2c842b 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_1.0
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_1.0
@@ -1063,7 +1063,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
        For unstructured parts, you can read them from your file if
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.0 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.0
index b8565247a..4b3453895 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.0
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.0
@@ -987,7 +987,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
        For unstructured parts, you can read them from your file if
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.01 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.01
index 62390e63e..e0b7ffa88 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.01
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.01
@@ -1056,7 +1056,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03
index 846d708ad..38587402c 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03
@@ -470,7 +470,7 @@ called is given.
           USERD_get_number_of_materials
           USERD_get_matf_var_info
 
-        For each elment type of each part containing material ids, calls:
+        For each element type of each part containing material ids, calls:
           USERD_size_matf_data
           USERD_load_matf_data
 
@@ -1081,7 +1081,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
@@ -1430,7 +1430,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
 
 
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03_CHANGES b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03_CHANGES
index 90941e03e..e9aaeb329 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03_CHANGES
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.03_CHANGES
@@ -74,7 +74,7 @@ called is given.
         USERD_get_number_of_materials
         USERD_get_matf_var_info
 
-      For each elment type of each part containing material ids, calls:
+      For each element type of each part containing material ids, calls:
         USERD_size_matf_data
         USERD_load_matf_data
 
@@ -1344,7 +1344,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
  
  
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.05 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.05
index 0e73a2cf1..07b2d652d 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.05
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.05
@@ -580,7 +580,7 @@ called is given.
           USERD_get_number_of_materials
           USERD_get_matf_var_info
 
-        For each elment type of each part containing material ids, calls:
+        For each element type of each part containing material ids, calls:
           USERD_size_matf_data
           USERD_load_matf_data
 
@@ -1198,7 +1198,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
@@ -1547,7 +1547,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
 
 
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.06 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.06
index b39e8946d..7e2e086c1 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.06
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.06
@@ -550,7 +550,7 @@ called is given.
           USERD_get_number_of_materials
           USERD_get_matf_var_info
 
-        For each elment type of each part containing material ids, calls:
+        For each element type of each part containing material ids, calls:
           USERD_size_matf_data
           USERD_load_matf_data
 
@@ -1168,7 +1168,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
@@ -1517,7 +1517,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
 
 
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.07 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.07
index e16eaedf7..0b63533da 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.07
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.07
@@ -564,7 +564,7 @@ called is given.
           USERD_get_number_of_materials
           USERD_get_matf_var_info
 
-        For each elment type of each part containing material ids, calls:
+        For each element type of each part containing material ids, calls:
           USERD_size_matf_data
           USERD_load_matf_data
 
@@ -1182,7 +1182,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
@@ -1531,7 +1531,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
 
 
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.08 b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.08
index eec276853..117cc40ad 100644
--- a/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.08
+++ b/applications/utilities/postProcessing/graphics/ensightFoamReader/README_USERD_2.08
@@ -568,7 +568,7 @@ called is given.
           USERD_get_number_of_materials
           USERD_get_matf_var_info
 
-        For each elment type of each part containing material ids, calls:
+        For each element type of each part containing material ids, calls:
           USERD_size_matf_data
           USERD_load_matf_data
 
@@ -1186,7 +1186,7 @@ USERD_get_element_label_status
 
    Notes:
    -----
-   * element lables are needed in order to do any element querying, or
+   * element labels are needed in order to do any element querying, or
      element labeling on-screen within EnSight.
 
    * Prior to API 2.01:
@@ -1535,7 +1535,7 @@ USERD_get_gold_part_build_info
                               1       2       3  (I planes)
 
 
-        And note that if you were partioning this block for
+        And note that if you were partitioning this block for
         EnSight's Server of Servers, you would only have one part,
         instead of two.  Each SOS server would return its appropriate
         ranges in the last 6 slots. The first 3 slots would remain constant.
diff --git a/applications/utilities/preProcessing/engineSwirl/engineSwirl.C b/applications/utilities/preProcessing/engineSwirl/engineSwirl.C
index 3c921e930..9e10c5f1b 100644
--- a/applications/utilities/preProcessing/engineSwirl/engineSwirl.C
+++ b/applications/utilities/preProcessing/engineSwirl/engineSwirl.C
@@ -25,7 +25,7 @@ Application
     engineSwirl
 
 Description
-    Generates a swirling flow for engine calulations.
+    Generates a swirling flow for engine calculations.
 
 \*---------------------------------------------------------------------------*/
 
diff --git a/applications/utilities/surface/surfaceBooleanFeatures/surfaceBooleanFeatures.C b/applications/utilities/surface/surfaceBooleanFeatures/surfaceBooleanFeatures.C
index e384e3f4b..0b1af1e22 100644
--- a/applications/utilities/surface/surfaceBooleanFeatures/surfaceBooleanFeatures.C
+++ b/applications/utilities/surface/surfaceBooleanFeatures/surfaceBooleanFeatures.C
@@ -61,8 +61,8 @@ Description
 
     @endverbatim
 
-    When the operation is performed - for union, all of the edges generates
-    where one surfaces cuts another are all "internal" for union, and "external"
+    When the operation is performed - for union, all of the edges generate
+    where one surface cuts another are all "internal" for union, and "external"
     for intersection, b - a and a - b.  This has been assumed, formal (dis)proof
     is invited.
 
diff --git a/applications/utilities/surface/surfaceSplitByTopology/surfaceSplitByTopology.C b/applications/utilities/surface/surfaceSplitByTopology/surfaceSplitByTopology.C
index 1046d085f..9567cdb1a 100644
--- a/applications/utilities/surface/surfaceSplitByTopology/surfaceSplitByTopology.C
+++ b/applications/utilities/surface/surfaceSplitByTopology/surfaceSplitByTopology.C
@@ -205,7 +205,7 @@ int main(int argc, char *argv[])
           + name(z)
           + "." + outExtension;
 
-        Info<< "    Writing mulitple part "
+        Info<< "    Writing multiple part "
             << z << " to " << remainingPartFileName << endl;
 
         zoneSurf.write(remainingPartFileName);
diff --git a/etc/caseDicts/postProcessing/solvers/icoUncoupledKinematicCloud/icoUncoupledKinematicCloud b/etc/caseDicts/postProcessing/solvers/icoUncoupledKinematicCloud/icoUncoupledKinematicCloud
index 9b45c0789..77435960c 100644
--- a/etc/caseDicts/postProcessing/solvers/icoUncoupledKinematicCloud/icoUncoupledKinematicCloud
+++ b/etc/caseDicts/postProcessing/solvers/icoUncoupledKinematicCloud/icoUncoupledKinematicCloud
@@ -8,7 +8,7 @@
 Description
     Tracks a cloud of parcels driven by the flow of the continuous phase.
 
-    The cloud is specifed by a kinematicCloudProperties file in the constant
+    The cloud is specified by a kinematicCloudProperties file in the constant
     directory.  A template file is provided in:
     $FOAM_ETC/caseDicts/solvers/lagrangian
 
diff --git a/etc/config.csh/settings b/etc/config.csh/settings
index aa8243d9a..4c9da8601 100644
--- a/etc/config.csh/settings
+++ b/etc/config.csh/settings
@@ -216,7 +216,7 @@ endif
 switch ("$WM_COMPILER_TYPE")
 case OpenFOAM:
 case ThirdParty:
-    # Default versions of GMP, MPFR and MPC, overide as necessary
+    # Default versions of GMP, MPFR and MPC, override as necessary
     set gmp_version=gmp-5.1.2
     set mpfr_version=mpfr-3.1.2
     set mpc_version=mpc-1.0.1
diff --git a/etc/thermoData/thermoData b/etc/thermoData/thermoData
index d6da0fbe8..f1e9d2559 100644
--- a/etc/thermoData/thermoData
+++ b/etc/thermoData/thermoData
@@ -17,7 +17,7 @@ Specie names have been transposed into a form supported by the OpenFOAM parser:
 
   1. Names starting with characters "[1-9]|*|(" are prepended with "-s".
   2. The character "'" has been replaced with "p".
-  3. The characted "/" has been replaced with "by".
+  3. The character "/" has been replaced with "by".
   4. All tabs removed.
   5. All Parts of the species names are concatenated with spaces replaced by "_".
   6. "REF.ELEM.*" has been removed.
diff --git a/tutorials/compressible/rhoPimpleFoam/RAS/angledDuct/system/blockMeshDict.m4 b/tutorials/compressible/rhoPimpleFoam/RAS/angledDuct/system/blockMeshDict.m4
index ce48c8099..84e276aec 100644
--- a/tutorials/compressible/rhoPimpleFoam/RAS/angledDuct/system/blockMeshDict.m4
+++ b/tutorials/compressible/rhoPimpleFoam/RAS/angledDuct/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/tutorials/compressible/rhoPimpleFoam/RAS/angledDuctLTS/system/blockMeshDict.m4 b/tutorials/compressible/rhoPimpleFoam/RAS/angledDuctLTS/system/blockMeshDict.m4
index 09a467039..caf146668 100644
--- a/tutorials/compressible/rhoPimpleFoam/RAS/angledDuctLTS/system/blockMeshDict.m4
+++ b/tutorials/compressible/rhoPimpleFoam/RAS/angledDuctLTS/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/tutorials/compressible/rhoPorousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4 b/tutorials/compressible/rhoPorousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
index 09a467039..caf146668 100644
--- a/tutorials/compressible/rhoPorousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
+++ b/tutorials/compressible/rhoPorousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/tutorials/compressible/rhoSimpleFoam/angledDuctExplicitFixedCoeff/system/blockMeshDict.m4 b/tutorials/compressible/rhoSimpleFoam/angledDuctExplicitFixedCoeff/system/blockMeshDict.m4
index 09a467039..caf146668 100644
--- a/tutorials/compressible/rhoSimpleFoam/angledDuctExplicitFixedCoeff/system/blockMeshDict.m4
+++ b/tutorials/compressible/rhoSimpleFoam/angledDuctExplicitFixedCoeff/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/tutorials/incompressible/porousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4 b/tutorials/incompressible/porousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
index 09a467039..caf146668 100644
--- a/tutorials/incompressible/porousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
+++ b/tutorials/incompressible/porousSimpleFoam/angledDuctImplicit/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/tutorials/multiphase/interFoam/RAS/angledDuct/system/blockMeshDict.m4 b/tutorials/multiphase/interFoam/RAS/angledDuct/system/blockMeshDict.m4
index ce48c8099..84e276aec 100644
--- a/tutorials/multiphase/interFoam/RAS/angledDuct/system/blockMeshDict.m4
+++ b/tutorials/multiphase/interFoam/RAS/angledDuct/system/blockMeshDict.m4
@@ -17,7 +17,7 @@ FoamFile
 // the porosity is not aligned with the main axes
 //
 dnl> -----------------------------------------------------------------
-dnl> <STANDARD DEFINTIONS>
+dnl> <STANDARD DEFINITIONS>
 dnl>
 changecom(//)changequote([,]) dnl>
 define(calc, [esyscmd(perl -e 'print ($1)')]) dnl>
@@ -29,7 +29,7 @@ define(quad2D, ($1f $1b $2b $2f))  dnl>
 define(frontQuad, ($1f $2f $3f $4f)) dnl>
 define(backQuad, ($4b $3b $2b $1b)) dnl>
 dnl>
-dnl> </STANDARD DEFINTIONS>
+dnl> </STANDARD DEFINITIONS>
 dnl> -----------------------------------------------------------------
 dnl>
 define(ncells, 20) dnl>
diff --git a/wmake/scripts/AllwmakeParseArguments b/wmake/scripts/AllwmakeParseArguments
index 0736876ad..fec1d6031 100644
--- a/wmake/scripts/AllwmakeParseArguments
+++ b/wmake/scripts/AllwmakeParseArguments
@@ -79,7 +79,7 @@ do
             usage
             exit 0
             ;;
-        # Check if called from wmake to avoid recusion
+        # Check if called from wmake to avoid recursion
         -fromWmake)
             fromWmake="fromWmake"
             ;;
diff --git a/wmake/wmakeCollect b/wmake/wmakeCollect
index fd4ed3442..9f99ab49c 100755
--- a/wmake/wmakeCollect
+++ b/wmake/wmakeCollect
@@ -72,7 +72,7 @@ error() {
     exit 1
 }
 
-# Set true to clean-up file if interupted
+# Set true to clean-up file if interrupted
 cleanup=
 
 while [ "$#" -gt 0 ]
-- 
2.16.1

kunda1

2018-02-17 11:08

reporter  

OpenFOAM-misc-typos-split2.patch (18,323 bytes)
From 31478174132fb603549210211e9ddff9a3007159 Mon Sep 17 00:00:00 2001
From: "luz.paz" <luzpaz@users.noreply.github.com>
Date: Sat, 17 Feb 2018 06:06:13 -0500
Subject: [PATCH] Misc. src/OpenFOAM typos

---
 src/OpenFOAM/containers/Lists/PackedList/PackedList.H                 | 2 +-
 src/OpenFOAM/containers/Lists/PackedList/PackedListI.H                | 4 ++--
 src/OpenFOAM/db/functionObjects/functionObject/functionObject.H       | 2 +-
 .../fields/GeometricFields/GeometricField/GeometricBoundaryField.C    | 2 +-
 .../fields/pointPatchFields/basic/value/valuePointPatchField.H        | 4 ++--
 .../fields/pointPatchFields/constraint/cyclic/cyclicPointPatchField.H | 2 +-
 .../constraint/processorCyclic/processorCyclicPointPatchField.H       | 2 +-
 .../fields/pointPatchFields/pointPatchField/pointPatchField.H         | 2 +-
 .../fileOperations/collatedFileOperation/collatedFileOperation.H      | 2 +-
 src/OpenFOAM/global/fileOperations/fileOperation/fileOperation.H      | 2 +-
 .../masterUncollatedFileOperation/masterUncollatedFileOperation.H     | 4 ++--
 .../fileOperations/uncollatedFileOperation/uncollatedFileOperation.H  | 2 +-
 src/OpenFOAM/include/OSspecific.H                                     | 2 +-
 .../matrices/LduMatrix/LduMatrix/LduMatrixUpdateMatrixInterfaces.C    | 4 ++--
 .../matrices/lduMatrix/lduMatrix/lduMatrixUpdateMatrixInterfaces.C    | 4 ++--
 src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/GAMGSolverSolve.C        | 2 +-
 .../cyclicGAMGInterfaceField/cyclicGAMGInterfaceField.H               | 2 +-
 .../processorGAMGInterfaceField/processorGAMGInterfaceField.H         | 2 +-
 src/OpenFOAM/meshes/meshShapes/cellModel/cellModel.C                  | 4 ++--
 src/OpenFOAM/meshes/polyMesh/polyMesh.H                               | 2 +-
 .../primitives/globalIndexAndTransform/globalIndexAndTransform.C      | 2 +-
 21 files changed, 27 insertions(+), 27 deletions(-)

diff --git a/src/OpenFOAM/containers/Lists/PackedList/PackedList.H b/src/OpenFOAM/containers/Lists/PackedList/PackedList.H
index 43bc8a5cd..af9ebd1b9 100644
--- a/src/OpenFOAM/containers/Lists/PackedList/PackedList.H
+++ b/src/OpenFOAM/containers/Lists/PackedList/PackedList.H
@@ -64,7 +64,7 @@ Note
 
     The lazy evaluation used means that reading an out-of-range element
     returns zero, but does not affect the list size.  Even in a non-const
-    context, only the assigment itself causes the element to be created.
+    context, only the assignment itself causes the element to be created.
     For example,
     \code
         list.resize(4);
diff --git a/src/OpenFOAM/containers/Lists/PackedList/PackedListI.H b/src/OpenFOAM/containers/Lists/PackedList/PackedListI.H
index c945ca0ba..ed592f0e1 100644
--- a/src/OpenFOAM/containers/Lists/PackedList/PackedListI.H
+++ b/src/OpenFOAM/containers/Lists/PackedList/PackedListI.H
@@ -369,7 +369,7 @@ inline void Foam::PackedList<nBits>::iteratorBase::operator=
     const unsigned int val
 )
 {
-    // Lazy evaluation - increase size on assigment
+    // Lazy evaluation - increase size on assignment
     if (index_ >= list_->size_)
     {
         list_->resize(index_ + 1);
@@ -1003,7 +1003,7 @@ inline bool Foam::PackedList<nBits>::set
     }
     else if (i >= size_)
     {
-        // Lazy evaluation - increase size on assigment
+        // Lazy evaluation - increase size on assignment
         resize(i + 1);
     }
 
diff --git a/src/OpenFOAM/db/functionObjects/functionObject/functionObject.H b/src/OpenFOAM/db/functionObjects/functionObject/functionObject.H
index ff3867192..8dd2ce146 100644
--- a/src/OpenFOAM/db/functionObjects/functionObject/functionObject.H
+++ b/src/OpenFOAM/db/functionObjects/functionObject/functionObject.H
@@ -231,7 +231,7 @@ public:
         virtual bool end();
 
         //- Called by Time::setDeltaT(). Allows the function object to override
-        //  the time-step value. Returns whether or not the value was overriden.
+        //  the time-step value. Returns whether or not the value was overridden.
         virtual bool setTimeStep();
 
         //- Called by Time::adjustTimeStep(). Allows the function object to
diff --git a/src/OpenFOAM/fields/GeometricFields/GeometricField/GeometricBoundaryField.C b/src/OpenFOAM/fields/GeometricFields/GeometricField/GeometricBoundaryField.C
index 25244a76c..3b9978721 100644
--- a/src/OpenFOAM/fields/GeometricFields/GeometricField/GeometricBoundaryField.C
+++ b/src/OpenFOAM/fields/GeometricFields/GeometricField/GeometricBoundaryField.C
@@ -470,7 +470,7 @@ evaluate()
     else
     {
         FatalErrorInFunction
-            << "Unsuported communications type "
+            << "Unsupported communications type "
             << Pstream::commsTypeNames[Pstream::defaultCommsType]
             << exit(FatalError);
     }
diff --git a/src/OpenFOAM/fields/pointPatchFields/basic/value/valuePointPatchField.H b/src/OpenFOAM/fields/pointPatchFields/basic/value/valuePointPatchField.H
index aac92d01e..c1a57aad8 100644
--- a/src/OpenFOAM/fields/pointPatchFields/basic/value/valuePointPatchField.H
+++ b/src/OpenFOAM/fields/pointPatchFields/basic/value/valuePointPatchField.H
@@ -206,8 +206,8 @@ public:
 };
 
 
-// This function is added to overide the hack in pointPatchField.H
-// which enables simple backward compatibility with verions using
+// This function is added to override the hack in pointPatchField.H
+// which enables simple backward compatibility with versions using
 // referenceLevel in GeometicField
 template<class Type>
 tmp<Field<Type>> operator+
diff --git a/src/OpenFOAM/fields/pointPatchFields/constraint/cyclic/cyclicPointPatchField.H b/src/OpenFOAM/fields/pointPatchFields/constraint/cyclic/cyclicPointPatchField.H
index af0e4c24c..d0672669e 100644
--- a/src/OpenFOAM/fields/pointPatchFields/constraint/cyclic/cyclicPointPatchField.H
+++ b/src/OpenFOAM/fields/pointPatchFields/constraint/cyclic/cyclicPointPatchField.H
@@ -137,7 +137,7 @@ public:
 
         //- Cyclic coupled interface functions
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return !(cyclicPatch_.parallel() || pTraits<Type>::rank == 0);
diff --git a/src/OpenFOAM/fields/pointPatchFields/constraint/processorCyclic/processorCyclicPointPatchField.H b/src/OpenFOAM/fields/pointPatchFields/constraint/processorCyclic/processorCyclicPointPatchField.H
index 656f69914..d065499b4 100644
--- a/src/OpenFOAM/fields/pointPatchFields/constraint/processorCyclic/processorCyclicPointPatchField.H
+++ b/src/OpenFOAM/fields/pointPatchFields/constraint/processorCyclic/processorCyclicPointPatchField.H
@@ -150,7 +150,7 @@ public:
                 }
             }
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return
diff --git a/src/OpenFOAM/fields/pointPatchFields/pointPatchField/pointPatchField.H b/src/OpenFOAM/fields/pointPatchFields/pointPatchField/pointPatchField.H
index 29488a2c8..551be7819 100644
--- a/src/OpenFOAM/fields/pointPatchFields/pointPatchField/pointPatchField.H
+++ b/src/OpenFOAM/fields/pointPatchFields/pointPatchField/pointPatchField.H
@@ -490,7 +490,7 @@ public:
 
 
 // This function is added as a hack to enable simple backward compatibility
-// with verions using referenceLevel in GeometicField
+// with versions using referenceLevel in GeometicField
 template<class Type>
 const pointPatchField<Type>& operator+
 (
diff --git a/src/OpenFOAM/global/fileOperations/collatedFileOperation/collatedFileOperation.H b/src/OpenFOAM/global/fileOperations/collatedFileOperation/collatedFileOperation.H
index 49a19e673..2d8eb45cf 100644
--- a/src/OpenFOAM/global/fileOperations/collatedFileOperation/collatedFileOperation.H
+++ b/src/OpenFOAM/global/fileOperations/collatedFileOperation/collatedFileOperation.H
@@ -88,7 +88,7 @@ public:
 
         //- Max size of thread buffer size. This is the overall size of
         //  all files to be written. Starts blocking if not enough size.
-        //  Read as float to enable easy specificiation of large sizes.
+        //  Read as float to enable easy specification of large sizes.
         static float maxThreadFileBufferSize;
 
 
diff --git a/src/OpenFOAM/global/fileOperations/fileOperation/fileOperation.H b/src/OpenFOAM/global/fileOperations/fileOperation/fileOperation.H
index ccd55b2fd..60a2b3b8b 100644
--- a/src/OpenFOAM/global/fileOperations/fileOperation/fileOperation.H
+++ b/src/OpenFOAM/global/fileOperations/fileOperation/fileOperation.H
@@ -246,7 +246,7 @@ public:
             //- Remove a file, returning true if successful otherwise false
             virtual bool rm(const fileName&) const = 0;
 
-            //- Remove a dirctory and its contents
+            //- Remove a directory and its contents
             virtual bool rmDir(const fileName&) const = 0;
 
 //            //- Open a shared library. Return handle to library. Print error
diff --git a/src/OpenFOAM/global/fileOperations/masterUncollatedFileOperation/masterUncollatedFileOperation.H b/src/OpenFOAM/global/fileOperations/masterUncollatedFileOperation/masterUncollatedFileOperation.H
index f89f7e35f..bef8aed2d 100644
--- a/src/OpenFOAM/global/fileOperations/masterUncollatedFileOperation/masterUncollatedFileOperation.H
+++ b/src/OpenFOAM/global/fileOperations/masterUncollatedFileOperation/masterUncollatedFileOperation.H
@@ -406,7 +406,7 @@ public:
 
         //- Max size of parallel communications. Switches from non-blocking
         //  to scheduled when reading/writing files. Read as float to enable
-        //  easy specificiation of large sizes.
+        //  easy specification of large sizes.
         static float maxMasterFileBufferSize;
 
 
@@ -531,7 +531,7 @@ public:
             //- Remove a file, returning true if successful otherwise false
             virtual bool rm(const fileName&) const;
 
-            //- Remove a dirctory and its contents
+            //- Remove a directory and its contents
             virtual bool rmDir(const fileName&) const;
 
 //            //- Open a shared library. Return handle to library. Print error
diff --git a/src/OpenFOAM/global/fileOperations/uncollatedFileOperation/uncollatedFileOperation.H b/src/OpenFOAM/global/fileOperations/uncollatedFileOperation/uncollatedFileOperation.H
index 9ff5e55b3..a2b944836 100644
--- a/src/OpenFOAM/global/fileOperations/uncollatedFileOperation/uncollatedFileOperation.H
+++ b/src/OpenFOAM/global/fileOperations/uncollatedFileOperation/uncollatedFileOperation.H
@@ -190,7 +190,7 @@ public:
             //- Remove a file, returning true if successful otherwise false
             virtual bool rm(const fileName&) const;
 
-            //- Remove a dirctory and its contents
+            //- Remove a directory and its contents
             virtual bool rmDir(const fileName&) const;
 
 //            //- Open a shared library. Return handle to library. Print error
diff --git a/src/OpenFOAM/include/OSspecific.H b/src/OpenFOAM/include/OSspecific.H
index 319a8541e..156c68f1b 100644
--- a/src/OpenFOAM/include/OSspecific.H
+++ b/src/OpenFOAM/include/OSspecific.H
@@ -165,7 +165,7 @@ bool mvBak(const fileName&, const std::string& ext = "bak");
 //- Remove a file, returning true if successful otherwise false
 bool rm(const fileName&);
 
-//- Remove a dirctory and its contents
+//- Remove a directory and its contents
 bool rmDir(const fileName&);
 
 //- Sleep for the specified number of seconds
diff --git a/src/OpenFOAM/matrices/LduMatrix/LduMatrix/LduMatrixUpdateMatrixInterfaces.C b/src/OpenFOAM/matrices/LduMatrix/LduMatrix/LduMatrixUpdateMatrixInterfaces.C
index 465c097bf..71b930d39 100644
--- a/src/OpenFOAM/matrices/LduMatrix/LduMatrix/LduMatrixUpdateMatrixInterfaces.C
+++ b/src/OpenFOAM/matrices/LduMatrix/LduMatrix/LduMatrixUpdateMatrixInterfaces.C
@@ -86,7 +86,7 @@ void Foam::LduMatrix<Type, DType, LUType>::initMatrixInterfaces
     else
     {
         FatalErrorInFunction
-            << "Unsuported communications type "
+            << "Unsupported communications type "
             << Pstream::commsTypeNames[Pstream::defaultCommsType]
             << exit(FatalError);
     }
@@ -190,7 +190,7 @@ void Foam::LduMatrix<Type, DType, LUType>::updateMatrixInterfaces
     else
     {
         FatalErrorInFunction
-            << "Unsuported communications type "
+            << "Unsupported communications type "
             << Pstream::commsTypeNames[Pstream::defaultCommsType]
             << exit(FatalError);
     }
diff --git a/src/OpenFOAM/matrices/lduMatrix/lduMatrix/lduMatrixUpdateMatrixInterfaces.C b/src/OpenFOAM/matrices/lduMatrix/lduMatrix/lduMatrixUpdateMatrixInterfaces.C
index af65e1bc6..56995bf53 100644
--- a/src/OpenFOAM/matrices/lduMatrix/lduMatrix/lduMatrixUpdateMatrixInterfaces.C
+++ b/src/OpenFOAM/matrices/lduMatrix/lduMatrix/lduMatrixUpdateMatrixInterfaces.C
@@ -86,7 +86,7 @@ void Foam::lduMatrix::initMatrixInterfaces
     else
     {
         FatalErrorInFunction
-            << "Unsuported communications type "
+            << "Unsupported communications type "
             << Pstream::commsTypeNames[Pstream::defaultCommsType]
             << exit(FatalError);
     }
@@ -259,7 +259,7 @@ void Foam::lduMatrix::updateMatrixInterfaces
     else
     {
         FatalErrorInFunction
-            << "Unsuported communications type "
+            << "Unsupported communications type "
             << Pstream::commsTypeNames[Pstream::defaultCommsType]
             << exit(FatalError);
     }
diff --git a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/GAMGSolverSolve.C b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/GAMGSolverSolve.C
index 8f14752f1..9dd9df732 100644
--- a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/GAMGSolverSolve.C
+++ b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/GAMGSolverSolve.C
@@ -183,7 +183,7 @@ void Foam::GAMGSolver::Vcycle
         if (coarseSources.set(leveli + 1))
         {
             // If the optional pre-smoothing sweeps are selected
-            // smooth the coarse-grid field for the restriced source
+            // smooth the coarse-grid field for the restricted source
             if (nPreSweeps_)
             {
                 coarseCorrFields[leveli] = 0.0;
diff --git a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/cyclicGAMGInterfaceField/cyclicGAMGInterfaceField.H b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/cyclicGAMGInterfaceField/cyclicGAMGInterfaceField.H
index f9068707c..8019e70a3 100644
--- a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/cyclicGAMGInterfaceField/cyclicGAMGInterfaceField.H
+++ b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/cyclicGAMGInterfaceField/cyclicGAMGInterfaceField.H
@@ -115,7 +115,7 @@ public:
 
         //- Cyclic interface functions
 
-            //- Does the interface field perform the transfromation
+            //- Does the interface field perform the transformation
             virtual bool doTransform() const
             {
                 return doTransform_;
diff --git a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/processorGAMGInterfaceField/processorGAMGInterfaceField.H b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/processorGAMGInterfaceField/processorGAMGInterfaceField.H
index 4eb0a1850..8d25c1f1d 100644
--- a/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/processorGAMGInterfaceField/processorGAMGInterfaceField.H
+++ b/src/OpenFOAM/matrices/lduMatrix/solvers/GAMG/interfaceFields/processorGAMGInterfaceField/processorGAMGInterfaceField.H
@@ -172,7 +172,7 @@ public:
                 return procInterface_.neighbProcNo();
             }
 
-            //- Does the interface field perform the transfromation
+            //- Does the interface field perform the transformation
             virtual bool doTransform() const
             {
                 return doTransform_;
diff --git a/src/OpenFOAM/meshes/meshShapes/cellModel/cellModel.C b/src/OpenFOAM/meshes/meshShapes/cellModel/cellModel.C
index 1c487f230..9e1b8df6b 100644
--- a/src/OpenFOAM/meshes/meshShapes/cellModel/cellModel.C
+++ b/src/OpenFOAM/meshes/meshShapes/cellModel/cellModel.C
@@ -37,7 +37,7 @@ Foam::vector Foam::cellModel::centre
     // Estimate centre of cell
     vector cEst = Zero;
 
-    // Sum the points idicated by the label list
+    // Sum the points indicated by the label list
     forAll(pointLabels, i)
     {
         cEst += points[pointLabels[i]];
@@ -94,7 +94,7 @@ Foam::scalar Foam::cellModel::mag
     // Estimate centre of cell
     vector cEst = Zero;
 
-    // Sum the points idicated by the label list
+    // Sum the points indicated by the label list
     forAll(pointLabels, i)
     {
         cEst += points[pointLabels[i]];
diff --git a/src/OpenFOAM/meshes/polyMesh/polyMesh.H b/src/OpenFOAM/meshes/polyMesh/polyMesh.H
index 64cc48631..f0881e5eb 100644
--- a/src/OpenFOAM/meshes/polyMesh/polyMesh.H
+++ b/src/OpenFOAM/meshes/polyMesh/polyMesh.H
@@ -85,7 +85,7 @@ public:
         //- Enumeration defining the state of the mesh after a read update.
         //  Used for post-processing applications, where the mesh
         //  needs to update based on the files written in time
-        //  directores
+        //  directories
         enum readUpdateState
         {
             UNCHANGED,
diff --git a/src/OpenFOAM/primitives/globalIndexAndTransform/globalIndexAndTransform.C b/src/OpenFOAM/primitives/globalIndexAndTransform/globalIndexAndTransform.C
index dcf40ff06..557cb9a3e 100644
--- a/src/OpenFOAM/primitives/globalIndexAndTransform/globalIndexAndTransform.C
+++ b/src/OpenFOAM/primitives/globalIndexAndTransform/globalIndexAndTransform.C
@@ -68,7 +68,7 @@ Foam::label Foam::globalIndexAndTransform::matchTransform
 
         // Test the difference between tensor parts to see if it is
         // less than the tolerance.  sqrt(3.0) factor used to scale
-        // differnces as this is magnitude of a rotation tensor.  If
+        // differences as this is magnitude of a rotation tensor.  If
         // neither transform has a rotation, then the test is not
         // necessary.
 
-- 
2.16.1

kunda1

2018-02-17 11:08

reporter  

OpenFOAM-misc-typos-split3.patch (28,691 bytes)
From c6fbbb7c67215f156c81bf85fa613700fbda2084 Mon Sep 17 00:00:00 2001
From: "luz.paz" <luzpaz@users.noreply.github.com>
Date: Sat, 17 Feb 2018 06:07:16 -0500
Subject: [PATCH] Misc. src/ typos

---
 .../thermalBaffle1D/thermalBaffle1DFvPatchScalarField.H             | 2 +-
 .../turbulentTemperatureRadCoupledMixedFvPatchScalarField.H         | 2 +-
 .../epsilonWallFunction/epsilonWallFunctionFvPatchScalarField.C     | 2 +-
 src/combustionModels/FSD/FSD.H                                      | 2 +-
 src/dynamicMesh/meshCut/cellCuts/cellCuts.C                         | 2 +-
 src/dynamicMesh/meshCut/cellLooper/cellLooper.H                     | 2 +-
 src/dynamicMesh/motionSmoother/polyMeshGeometry/polyMeshGeometry.C  | 6 +++---
 .../layeredSolver/displacementLayeredMotionMotionSolver.C           | 2 +-
 src/dynamicMesh/polyTopoChange/polyTopoChange/edgeCollapser.C       | 2 +-
 src/dynamicMesh/slidingInterface/enrichedPatch/enrichedPatch.H      | 2 +-
 src/dynamicMesh/slidingInterface/slidingInterfaceProjectPoints.C    | 2 +-
 .../fvPatchFields/constraint/processor/processorFvPatchField.H      | 2 +-
 .../constraint/processorCyclic/processorCyclicFvPatchField.H        | 2 +-
 .../pressureDirectedInletOutletVelocityFvPatchVectorField.H         | 2 +-
 src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchField.H   | 2 +-
 .../fields/fvsPatchFields/fvsPatchField/fvsPatchField.H             | 2 +-
 .../snGradSchemes/CentredFitSnGrad/CentredFitSnGradData.C           | 2 +-
 .../surfaceInterpolation/schemes/CentredFitScheme/CentredFitData.C  | 2 +-
 .../surfaceInterpolation/schemes/UpwindFitScheme/UpwindFitData.C    | 2 +-
 .../interpolation/volPointInterpolation/pointConstraints.H          | 2 +-
 src/functionObjects/field/histogram/histogram.H                     | 2 +-
 src/functionObjects/field/nearWallFields/nearWallFields.H           | 2 +-
 .../field/regionSizeDistribution/regionSizeDistribution.H           | 2 +-
 src/functionObjects/field/surfaceInterpolate/surfaceInterpolate.H   | 2 +-
 src/functionObjects/forces/forces/forces.H                          | 2 +-
 .../derived/rotorDiskSource/profileModel/series/seriesProfile.H     | 4 ++--
 src/lagrangian/basic/Cloud/Cloud.C                                  | 2 +-
 src/lagrangian/basic/particle/particle.H                            | 2 +-
 .../integrationScheme/integrationScheme/integrationScheme.H         | 2 +-
 .../CloudFunctionObjects/ParticleErosion/ParticleErosion.C          | 2 +-
 .../CompositionModel/SingleMixtureFraction/SingleMixtureFraction.C  | 2 +-
 .../potential/pairPotential/pairPotentialList/pairPotentialList.H   | 2 +-
 .../tetherPotential/tetherPotentialList/tetherPotentialList.H       | 2 +-
 .../submodels/AtomizationModel/LISAAtomization/LISAAtomization.C    | 2 +-
 34 files changed, 37 insertions(+), 37 deletions(-)

diff --git a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/thermalBaffle1D/thermalBaffle1DFvPatchScalarField.H b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/thermalBaffle1D/thermalBaffle1DFvPatchScalarField.H
index 895868d57..a9b082b80 100644
--- a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/thermalBaffle1D/thermalBaffle1DFvPatchScalarField.H
+++ b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/thermalBaffle1D/thermalBaffle1DFvPatchScalarField.H
@@ -30,7 +30,7 @@ Group
 Description
     This BC solves a steady 1D thermal baffle.
 
-    The solid properties are specify as dictionary. Optionaly radiative heat
+    The solid properties are specify as dictionary. Optionally radiative heat
     flux (qr) can be incorporated into the balance. Some under-relaxation might
     be needed on qr.  Baffle and solid properties need to be specified on the
     master side of the baffle.
diff --git a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/turbulentTemperatureRadCoupledMixed/turbulentTemperatureRadCoupledMixedFvPatchScalarField.H b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/turbulentTemperatureRadCoupledMixed/turbulentTemperatureRadCoupledMixedFvPatchScalarField.H
index 37691d22d..8b16db49c 100644
--- a/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/turbulentTemperatureRadCoupledMixed/turbulentTemperatureRadCoupledMixedFvPatchScalarField.H
+++ b/src/TurbulenceModels/compressible/turbulentFluidThermoModels/derivedFvPatchFields/turbulentTemperatureRadCoupledMixed/turbulentTemperatureRadCoupledMixedFvPatchScalarField.H
@@ -100,7 +100,7 @@ class turbulentTemperatureRadCoupledMixedFvPatchScalarField
         //- Name of field on the neighbour region
         const word TnbrName_;
 
-         //- Name of the radiative heat flux in the neighbout region
+         //- Name of the radiative heat flux in the neighbor region
         const word qrNbrName_;
 
         //- Name of the radiative heat flux in local region
diff --git a/src/TurbulenceModels/turbulenceModels/derivedFvPatchFields/wallFunctions/epsilonWallFunctions/epsilonWallFunction/epsilonWallFunctionFvPatchScalarField.C b/src/TurbulenceModels/turbulenceModels/derivedFvPatchFields/wallFunctions/epsilonWallFunctions/epsilonWallFunction/epsilonWallFunctionFvPatchScalarField.C
index 5f1986748..a90a868a8 100644
--- a/src/TurbulenceModels/turbulenceModels/derivedFvPatchFields/wallFunctions/epsilonWallFunctions/epsilonWallFunction/epsilonWallFunctionFvPatchScalarField.C
+++ b/src/TurbulenceModels/turbulenceModels/derivedFvPatchFields/wallFunctions/epsilonWallFunctions/epsilonWallFunction/epsilonWallFunctionFvPatchScalarField.C
@@ -560,7 +560,7 @@ void Foam::epsilonWallFunctionFvPatchScalarField::manipulateMatrix
 
     forAll(weights, facei)
     {
-        // Anly set the values if the weights are > tolerance
+        // Only set the values if the weights are > tolerance
         if (weights[facei] > tolerance_)
         {
             nConstrainedCells++;
diff --git a/src/combustionModels/FSD/FSD.H b/src/combustionModels/FSD/FSD.H
index f1f8ea4f6..e9ec9e198 100644
--- a/src/combustionModels/FSD/FSD.H
+++ b/src/combustionModels/FSD/FSD.H
@@ -41,7 +41,7 @@ Description
     different strain rates and fit using a expential distribution.
 
     The spacial distribution of the consumption speed (omega) is obtained also
-    from a strained flamelet solution and it is assumed to have a guassian
+    from a strained flamelet solution and it is assumed to have a gaussian
     distribution.
 
     If the grid resolution is not enough to resolve the flame, the consumption
diff --git a/src/dynamicMesh/meshCut/cellCuts/cellCuts.C b/src/dynamicMesh/meshCut/cellCuts/cellCuts.C
index 3a5035c9c..d1f8cf81f 100644
--- a/src/dynamicMesh/meshCut/cellCuts/cellCuts.C
+++ b/src/dynamicMesh/meshCut/cellCuts/cellCuts.C
@@ -2323,7 +2323,7 @@ void Foam::cellCuts::setFromCellLoops
 
             if (setFromCellLoop(celli, loop, loopWeights))
             {
-                // Valid loop. Call above will have upated all already.
+                // Valid loop. Call above will have updated all already.
             }
             else
             {
diff --git a/src/dynamicMesh/meshCut/cellLooper/cellLooper.H b/src/dynamicMesh/meshCut/cellLooper/cellLooper.H
index 065edef71..92af098e5 100644
--- a/src/dynamicMesh/meshCut/cellLooper/cellLooper.H
+++ b/src/dynamicMesh/meshCut/cellLooper/cellLooper.H
@@ -168,7 +168,7 @@ public:
         //- Create cut along circumference of celli. Gets current mesh cuts
         //  vertIsCut, edgeIsCut, edgeWeight).
         //  Cut along circumference is expressed as cellVertCut,
-        //  cellEdgeToWeight. Returns true if succesfull. Still might not
+        //  cellEdgeToWeight. Returns true if successful. Still might not
         //  be compatible with existing cuts but this should be handled by
         //  caller).
         virtual bool cut
diff --git a/src/dynamicMesh/motionSmoother/polyMeshGeometry/polyMeshGeometry.C b/src/dynamicMesh/motionSmoother/polyMeshGeometry/polyMeshGeometry.C
index a7dc991c7..759fe65f3 100644
--- a/src/dynamicMesh/motionSmoother/polyMeshGeometry/polyMeshGeometry.C
+++ b/src/dynamicMesh/motionSmoother/polyMeshGeometry/polyMeshGeometry.C
@@ -2002,13 +2002,13 @@ bool Foam::polyMeshGeometry::checkFaceFlatness
         if (nWarped> 0)
         {
             Info<< "There are " << nWarped
-                << " faces with area of invidual triangles"
+                << " faces with area of individual triangles"
                 << " compared to overall area less than "
                 << minFlatness << nl << endl;
         }
         else
         {
-            Info<< "All faces are flat in that the area of invidual triangles"
+            Info<< "All faces are flat in that the area of individual triangles"
                 << " compared to overall area is less than "
                 << minFlatness << nl << endl;
         }
@@ -2020,7 +2020,7 @@ bool Foam::polyMeshGeometry::checkFaceFlatness
         {
             WarningInFunction
                 << nWarped  << " non-flat faces "
-                << "(area of invidual triangles"
+                << "(area of individual triangles"
                 << " compared to overall area"
                 << " < " << minFlatness << ") found.\n"
                 << endl;
diff --git a/src/dynamicMesh/motionSolvers/displacement/layeredSolver/displacementLayeredMotionMotionSolver.C b/src/dynamicMesh/motionSolvers/displacement/layeredSolver/displacementLayeredMotionMotionSolver.C
index 17a4acbc9..991f6c74f 100644
--- a/src/dynamicMesh/motionSolvers/displacement/layeredSolver/displacementLayeredMotionMotionSolver.C
+++ b/src/dynamicMesh/motionSolvers/displacement/layeredSolver/displacementLayeredMotionMotionSolver.C
@@ -290,7 +290,7 @@ void Foam::displacementLayeredMotionMotionSolver::cellZoneSolve
     if (patchesDict.size() != 2)
     {
         FatalIOErrorInFunction(*this)
-            << "Two faceZones (patches) must be specifed per cellZone. "
+            << "Two faceZones (patches) must be specified per cellZone. "
             << " cellZone:" << cellZoneI
             << " patches:" << patchesDict.toc()
             << exit(FatalIOError);
diff --git a/src/dynamicMesh/polyTopoChange/polyTopoChange/edgeCollapser.C b/src/dynamicMesh/polyTopoChange/polyTopoChange/edgeCollapser.C
index 06db1dc81..263dcbc81 100644
--- a/src/dynamicMesh/polyTopoChange/polyTopoChange/edgeCollapser.C
+++ b/src/dynamicMesh/polyTopoChange/polyTopoChange/edgeCollapser.C
@@ -1072,7 +1072,7 @@ Foam::label Foam::edgeCollapser::syncCollapse
                 masterPointPriority
             );
 
-            // Mark as collapsable but with nonsense master so it gets
+            // Mark as collapsible but with nonsense master so it gets
             // overwritten and starts an update wave
             allEdgeInfo[edgeI] = pointEdgeCollapse
             (
diff --git a/src/dynamicMesh/slidingInterface/enrichedPatch/enrichedPatch.H b/src/dynamicMesh/slidingInterface/enrichedPatch/enrichedPatch.H
index f47d46940..459a3ec82 100644
--- a/src/dynamicMesh/slidingInterface/enrichedPatch/enrichedPatch.H
+++ b/src/dynamicMesh/slidingInterface/enrichedPatch/enrichedPatch.H
@@ -36,7 +36,7 @@ Description
 
     Note:
     If new points are created during master-slave edge cutting, they
-    should be registred with the pointMap.
+    should be registered with the pointMap.
 
 
 SourceFiles
diff --git a/src/dynamicMesh/slidingInterface/slidingInterfaceProjectPoints.C b/src/dynamicMesh/slidingInterface/slidingInterfaceProjectPoints.C
index 6a2f2b132..57c4333db 100644
--- a/src/dynamicMesh/slidingInterface/slidingInterfaceProjectPoints.C
+++ b/src/dynamicMesh/slidingInterface/slidingInterfaceProjectPoints.C
@@ -66,7 +66,7 @@ bool Foam::slidingInterface::projectPoints() const
     // Algorithm:
     // 1) Go through all the points of the master and slave patch and calculate
     //    minimum edge length coming from the point.  Calculate the point
-    //    merge tolerance as the fraction of mimimum edge length.
+    //    merge tolerance as the fraction of minimum edge length.
     // 2) Project all the slave points onto the master patch
     //    in the normal direction.
     // 3) If some points have missed and the match is integral, the
diff --git a/src/finiteVolume/fields/fvPatchFields/constraint/processor/processorFvPatchField.H b/src/finiteVolume/fields/fvPatchFields/constraint/processor/processorFvPatchField.H
index dccf5d574..ddcc4f422 100644
--- a/src/finiteVolume/fields/fvPatchFields/constraint/processor/processorFvPatchField.H
+++ b/src/finiteVolume/fields/fvPatchFields/constraint/processor/processorFvPatchField.H
@@ -264,7 +264,7 @@ public:
                 return procPatch_.neighbProcNo();
             }
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return !(procPatch_.parallel() || pTraits<Type>::rank == 0);
diff --git a/src/finiteVolume/fields/fvPatchFields/constraint/processorCyclic/processorCyclicFvPatchField.H b/src/finiteVolume/fields/fvPatchFields/constraint/processorCyclic/processorCyclicFvPatchField.H
index 1f492a95c..b3a418fe4 100644
--- a/src/finiteVolume/fields/fvPatchFields/constraint/processorCyclic/processorCyclicFvPatchField.H
+++ b/src/finiteVolume/fields/fvPatchFields/constraint/processorCyclic/processorCyclicFvPatchField.H
@@ -157,7 +157,7 @@ public:
 
         // Access
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return !(procPatch_.parallel() || pTraits<Type>::rank == 0);
diff --git a/src/finiteVolume/fields/fvPatchFields/derived/pressureDirectedInletOutletVelocity/pressureDirectedInletOutletVelocityFvPatchVectorField.H b/src/finiteVolume/fields/fvPatchFields/derived/pressureDirectedInletOutletVelocity/pressureDirectedInletOutletVelocityFvPatchVectorField.H
index 60d0c0563..fdee0ded7 100644
--- a/src/finiteVolume/fields/fvPatchFields/derived/pressureDirectedInletOutletVelocity/pressureDirectedInletOutletVelocityFvPatchVectorField.H
+++ b/src/finiteVolume/fields/fvPatchFields/derived/pressureDirectedInletOutletVelocity/pressureDirectedInletOutletVelocityFvPatchVectorField.H
@@ -29,7 +29,7 @@ Group
 
 Description
     This velocity inlet/outlet boundary condition is applied to pressure
-    boundaries where the pressure is specified.  A zero-gradient condtion is
+    boundaries where the pressure is specified.  A zero-gradient condition is
     applied for outflow (as defined by the flux); for inflow, the velocity
     is obtained from the flux with the specified inlet direction.
 
diff --git a/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchField.H b/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchField.H
index 10385673f..1701e8c9f 100644
--- a/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchField.H
+++ b/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchField.H
@@ -32,7 +32,7 @@ Description
     zero-gradient, fixed-gradient, fixed-value and mixed conditions.
 
     The next level of derivation covers all the specialised types with
-    specific evaluation proceedures, particularly with respect to specific
+    specific evaluation procedures, particularly with respect to specific
     fields.
 
 SourceFiles
diff --git a/src/finiteVolume/fields/fvsPatchFields/fvsPatchField/fvsPatchField.H b/src/finiteVolume/fields/fvsPatchFields/fvsPatchField/fvsPatchField.H
index 6c2f12a43..3b2d6a62d 100644
--- a/src/finiteVolume/fields/fvsPatchFields/fvsPatchField/fvsPatchField.H
+++ b/src/finiteVolume/fields/fvsPatchFields/fvsPatchField/fvsPatchField.H
@@ -32,7 +32,7 @@ Description
     zero-gradient, fixed-gradient, fixed-value and mixed conditions.
 
     The next level of derivation covers all the specialised typed with
-    specific evaluation proceedures, particularly with respect to specific
+    specific evaluation procedures, particularly with respect to specific
     fields.
 
 SourceFiles
diff --git a/src/finiteVolume/finiteVolume/snGradSchemes/CentredFitSnGrad/CentredFitSnGradData.C b/src/finiteVolume/finiteVolume/snGradSchemes/CentredFitSnGrad/CentredFitSnGradData.C
index 26b3c4108..447a5add8 100644
--- a/src/finiteVolume/finiteVolume/snGradSchemes/CentredFitSnGrad/CentredFitSnGradData.C
+++ b/src/finiteVolume/finiteVolume/snGradSchemes/CentredFitSnGrad/CentredFitSnGradData.C
@@ -53,7 +53,7 @@ Foam::CentredFitSnGradData<Polynomial>::CentredFitSnGradData
     if (debug)
     {
         InfoInFunction
-            << "Contructing CentredFitSnGradData<Polynomial>" << endl;
+            << "Constructing CentredFitSnGradData<Polynomial>" << endl;
     }
 
     calcFit();
diff --git a/src/finiteVolume/interpolation/surfaceInterpolation/schemes/CentredFitScheme/CentredFitData.C b/src/finiteVolume/interpolation/surfaceInterpolation/schemes/CentredFitScheme/CentredFitData.C
index 8c441c5b9..0254aa443 100644
--- a/src/finiteVolume/interpolation/surfaceInterpolation/schemes/CentredFitScheme/CentredFitData.C
+++ b/src/finiteVolume/interpolation/surfaceInterpolation/schemes/CentredFitScheme/CentredFitData.C
@@ -54,7 +54,7 @@ Foam::CentredFitData<Polynomial>::CentredFitData
 {
     if (debug)
     {
-        InfoInFunction << "Contructing CentredFitData<Polynomial>" << endl;
+        InfoInFunction << "Constructing CentredFitData<Polynomial>" << endl;
     }
 
     calcFit();
diff --git a/src/finiteVolume/interpolation/surfaceInterpolation/schemes/UpwindFitScheme/UpwindFitData.C b/src/finiteVolume/interpolation/surfaceInterpolation/schemes/UpwindFitScheme/UpwindFitData.C
index ad751c4da..e599f819a 100644
--- a/src/finiteVolume/interpolation/surfaceInterpolation/schemes/UpwindFitScheme/UpwindFitData.C
+++ b/src/finiteVolume/interpolation/surfaceInterpolation/schemes/UpwindFitScheme/UpwindFitData.C
@@ -55,7 +55,7 @@ Foam::UpwindFitData<Polynomial>::UpwindFitData
 {
     if (debug)
     {
-        InfoInFunction << "Contructing UpwindFitData<Polynomial>" << endl;
+        InfoInFunction << "Constructing UpwindFitData<Polynomial>" << endl;
     }
 
     calcFit();
diff --git a/src/finiteVolume/interpolation/volPointInterpolation/pointConstraints.H b/src/finiteVolume/interpolation/volPointInterpolation/pointConstraints.H
index f34ae6f30..ad0629ff9 100644
--- a/src/finiteVolume/interpolation/volPointInterpolation/pointConstraints.H
+++ b/src/finiteVolume/interpolation/volPointInterpolation/pointConstraints.H
@@ -25,7 +25,7 @@ Class
     Foam::pointConstraints
 
 Description
-    Application of (multi-)patch point contraints.
+    Application of (multi-)patch point constraints.
 
     Note: includes all points which are on the boundary of a patch
           with a constraint. It includes them (even though the constraint
diff --git a/src/functionObjects/field/histogram/histogram.H b/src/functionObjects/field/histogram/histogram.H
index deb355e3c..46fd8141c 100644
--- a/src/functionObjects/field/histogram/histogram.H
+++ b/src/functionObjects/field/histogram/histogram.H
@@ -102,7 +102,7 @@ class histogram
         //- Minimum value
         scalar min_;
 
-        //- Mumber of bins
+        //- Number of bins
         label nBins_;
 
         //- Output formatter to write
diff --git a/src/functionObjects/field/nearWallFields/nearWallFields.H b/src/functionObjects/field/nearWallFields/nearWallFields.H
index 79404bc8f..c25df9858 100644
--- a/src/functionObjects/field/nearWallFields/nearWallFields.H
+++ b/src/functionObjects/field/nearWallFields/nearWallFields.H
@@ -63,7 +63,7 @@ Usage
     \table
         Property | Description               | Required    | Default value
         type     | type name: nearWallFields | yes         |
-        fields   | list of fields with correspoding output field names | yes |
+        fields   | list of fields with corresponding output field names | yes |
         patches  | list of patches to sample | yes         |
         distance | distance from patch to sample | yes     |
     \endtable
diff --git a/src/functionObjects/field/regionSizeDistribution/regionSizeDistribution.H b/src/functionObjects/field/regionSizeDistribution/regionSizeDistribution.H
index cd695d5e6..b57623fc9 100644
--- a/src/functionObjects/field/regionSizeDistribution/regionSizeDistribution.H
+++ b/src/functionObjects/field/regionSizeDistribution/regionSizeDistribution.H
@@ -153,7 +153,7 @@ class regionSizeDistribution
         //- Minimum droplet diameter
         scalar minDiam_;
 
-        //- Mumber of bins
+        //- Number of bins
         label nBins_;
 
         //- Names of fields to sample on regions
diff --git a/src/functionObjects/field/surfaceInterpolate/surfaceInterpolate.H b/src/functionObjects/field/surfaceInterpolate/surfaceInterpolate.H
index c4df3e7a0..b70f01ae2 100644
--- a/src/functionObjects/field/surfaceInterpolate/surfaceInterpolate.H
+++ b/src/functionObjects/field/surfaceInterpolate/surfaceInterpolate.H
@@ -52,7 +52,7 @@ Usage
     \table
         Property | Description               | Required    | Default value
         type     | type name: nearWallFields | yes         |
-        fields   | list of fields with correspoding output field names | yes |
+        fields   | list of fields with corresponding output field names | yes |
     \endtable
 
 
diff --git a/src/functionObjects/forces/forces/forces.H b/src/functionObjects/forces/forces/forces.H
index 7c60cd479..86c08e700 100644
--- a/src/functionObjects/forces/forces/forces.H
+++ b/src/functionObjects/forces/forces/forces.H
@@ -181,7 +181,7 @@ protected:
             //- Reference pressure
             scalar pRef_;
 
-            //- Coordinate system used when evaluting forces/moments
+            //- Coordinate system used when evaluating forces/moments
             coordinateSystem coordSys_;
 
             //- Flag to indicate whether we are using a local co-ordinate sys
diff --git a/src/fvOptions/sources/derived/rotorDiskSource/profileModel/series/seriesProfile.H b/src/fvOptions/sources/derived/rotorDiskSource/profileModel/series/seriesProfile.H
index 9af303017..3c8863b14 100644
--- a/src/fvOptions/sources/derived/rotorDiskSource/profileModel/series/seriesProfile.H
+++ b/src/fvOptions/sources/derived/rotorDiskSource/profileModel/series/seriesProfile.H
@@ -33,8 +33,8 @@ Description
 
     where:
         AOA = angle of attack [deg] converted to [rad] internally
-        Cd = drag coefficent
-        Cl = lift coefficent
+        Cd = drag coefficient
+        Cl = lift coefficient
 
     Input in two (arbitrary length) lists:
 
diff --git a/src/lagrangian/basic/Cloud/Cloud.C b/src/lagrangian/basic/Cloud/Cloud.C
index 3982a7a71..f95a5d7cb 100644
--- a/src/lagrangian/basic/Cloud/Cloud.C
+++ b/src/lagrangian/basic/Cloud/Cloud.C
@@ -132,7 +132,7 @@ void Foam::Cloud<ParticleType>::deleteLostParticles()
 template<class ParticleType>
 void Foam::Cloud<ParticleType>::cloudReset(const Cloud<ParticleType>& c)
 {
-    // Reset particle cound and particles only
+    // Reset particle count and particles only
     // - not changing the cloud object registry or reference to the polyMesh
     ParticleType::particleCount_ = 0;
     IDLList<ParticleType>::operator=(c);
diff --git a/src/lagrangian/basic/particle/particle.H b/src/lagrangian/basic/particle/particle.H
index afd5a3e67..c54f3c200 100644
--- a/src/lagrangian/basic/particle/particle.H
+++ b/src/lagrangian/basic/particle/particle.H
@@ -610,7 +610,7 @@ public:
 
     // Decompose and reconstruct
 
-        //- Return the tet point approproate for decomposition or reconstruction
+        //- Return the tet point appropriate for decomposition or reconstruction
         //  to or from the given mesh.
         label procTetPt
         (
diff --git a/src/lagrangian/intermediate/integrationScheme/integrationScheme/integrationScheme.H b/src/lagrangian/intermediate/integrationScheme/integrationScheme/integrationScheme.H
index 44a089722..e43a56e10 100644
--- a/src/lagrangian/intermediate/integrationScheme/integrationScheme/integrationScheme.H
+++ b/src/lagrangian/intermediate/integrationScheme/integrationScheme/integrationScheme.H
@@ -47,7 +47,7 @@ Description
     This class also facilitates integration in stages. If the explicit and
     implicit coefficients, \f$A\f$ and \f$B\f$, are a summation of differing
     contributions, \f$\sum \alpha_i\f$ and \f$\sum \beta_i\f$, then the
-    integration can be split up to detemine the effect of each contribution.
+    integration can be split up to determine the effect of each contribution.
 
         \f[
             \frac{d \phi_i}{d t} = \alpha_i - \beta_i \phi
diff --git a/src/lagrangian/intermediate/submodels/CloudFunctionObjects/ParticleErosion/ParticleErosion.C b/src/lagrangian/intermediate/submodels/CloudFunctionObjects/ParticleErosion/ParticleErosion.C
index b7fbb3941..858c606a2 100644
--- a/src/lagrangian/intermediate/submodels/CloudFunctionObjects/ParticleErosion/ParticleErosion.C
+++ b/src/lagrangian/intermediate/submodels/CloudFunctionObjects/ParticleErosion/ParticleErosion.C
@@ -177,7 +177,7 @@ void Foam::ParticleErosion<CloudType>::postPatch
         // patch-normal direction
         this->owner().patchData(p, pp, nw, Up);
 
-        // particle velocity reletive to patch
+        // particle velocity relative to patch
         const vector& U = p.U() - Up;
 
         // quick reject if particle travelling away from the patch
diff --git a/src/lagrangian/intermediate/submodels/Reacting/CompositionModel/SingleMixtureFraction/SingleMixtureFraction.C b/src/lagrangian/intermediate/submodels/Reacting/CompositionModel/SingleMixtureFraction/SingleMixtureFraction.C
index c3e3fc00e..beac702af 100644
--- a/src/lagrangian/intermediate/submodels/Reacting/CompositionModel/SingleMixtureFraction/SingleMixtureFraction.C
+++ b/src/lagrangian/intermediate/submodels/Reacting/CompositionModel/SingleMixtureFraction/SingleMixtureFraction.C
@@ -100,7 +100,7 @@ Foam::SingleMixtureFraction<CloudType>::SingleMixtureFraction
     if (this->phaseProps().size() != 3)
     {
         FatalErrorInFunction
-            << "Incorrect numebr of phases: " << nl
+            << "Incorrect number of phases: " << nl
             << "    Please specify 1 gas, 1 liquid and 1 solid"
             << exit(FatalError);
     }
diff --git a/src/lagrangian/molecularDynamics/potential/pairPotential/pairPotentialList/pairPotentialList.H b/src/lagrangian/molecularDynamics/potential/pairPotential/pairPotentialList/pairPotentialList.H
index 0270a03ce..553c27898 100644
--- a/src/lagrangian/molecularDynamics/potential/pairPotential/pairPotentialList/pairPotentialList.H
+++ b/src/lagrangian/molecularDynamics/potential/pairPotential/pairPotentialList/pairPotentialList.H
@@ -92,7 +92,7 @@ public:
 
         pairPotentialList();
 
-        //- Construct from idList and potental dictionaries
+        //- Construct from idList and potential dictionaries
         pairPotentialList
         (
             const List<word>& idList,
diff --git a/src/lagrangian/molecularDynamics/potential/tetherPotential/tetherPotentialList/tetherPotentialList.H b/src/lagrangian/molecularDynamics/potential/tetherPotential/tetherPotentialList/tetherPotentialList.H
index 6c0c6b437..dfbfc855a 100644
--- a/src/lagrangian/molecularDynamics/potential/tetherPotential/tetherPotentialList/tetherPotentialList.H
+++ b/src/lagrangian/molecularDynamics/potential/tetherPotential/tetherPotentialList/tetherPotentialList.H
@@ -84,7 +84,7 @@ public:
 
         tetherPotentialList();
 
-        //- Construct from siteIdList and potental dictionaries
+        //- Construct from siteIdList and potential dictionaries
         tetherPotentialList
         (
             const List<word>& siteIdList,
diff --git a/src/lagrangian/spray/submodels/AtomizationModel/LISAAtomization/LISAAtomization.C b/src/lagrangian/spray/submodels/AtomizationModel/LISAAtomization/LISAAtomization.C
index 829216319..51e943b0c 100644
--- a/src/lagrangian/spray/submodels/AtomizationModel/LISAAtomization/LISAAtomization.C
+++ b/src/lagrangian/spray/submodels/AtomizationModel/LISAAtomization/LISAAtomization.C
@@ -246,7 +246,7 @@ void Foam::LISAAtomization<CloudType>::update
 
     scalar pExp = 0.135;
 
-    //  modifing dD to take account of flash boiling
+    //  modifying dD to take account of flash boiling
     dD = dD*(1.0 - chi*pow(pRatio, -pExp));
     scalar lBU = Cl_ * mag(Urel)*tau;
 
-- 
2.16.1

kunda1

2018-02-17 11:09

reporter  

OpenFOAM-misc-typos-split4.patch (29,195 bytes)
From 4f6396c976b6d5bdf72c5eeb5102d7b8f08b7ced Mon Sep 17 00:00:00 2001
From: "luz.paz" <luzpaz@users.noreply.github.com>
Date: Sat, 17 Feb 2018 06:08:01 -0500
Subject: [PATCH] Misc. src/ typos (cont)

---
 src/mesh/extrudeModel/linearNormal/linearNormal.H                     | 2 +-
 src/mesh/snappyHexMesh/shellSurfaces/shellSurfaces.C                  | 2 +-
 src/mesh/snappyHexMesh/snappyHexMeshDriver/snappySnapDriver.H         | 2 +-
 .../cyclicACMIGAMGInterfaceField/cyclicACMIGAMGInterfaceField.H       | 2 +-
 .../cyclicAMIGAMGInterfaceField/cyclicAMIGAMGInterfaceField.H         | 2 +-
 .../cyclicACMI/cyclicACMIPointPatchField/cyclicACMIPointPatchField.H  | 2 +-
 .../cyclicAMI/cyclicAMIPointPatchField/cyclicAMIPointPatchField.H     | 2 +-
 src/meshTools/coordinateSystems/coordinateSystem.H                    | 2 +-
 .../triSurface/booleanOps/intersectedSurface/intersectedSurface.H     | 4 ++--
 .../decompositionMethods/hierarchGeomDecomp/hierarchGeomDecomp.C      | 4 ++--
 src/parallel/reconstruct/reconstruct/processorMeshes.C                | 2 +-
 src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H       | 2 +-
 .../injectionModel/BrunDrippingInjection/BrunDrippingInjection.H      | 2 +-
 .../kinematic/injectionModel/drippingInjection/drippingInjection.H    | 2 +-
 .../kinematic/injectionModel/patchInjection/patchInjection.H          | 4 ++--
 src/renumber/renumberMethods/structuredRenumber/structuredRenumber.C  | 2 +-
 src/sampling/sampledSet/array/arraySet.H                              | 2 +-
 src/sampling/sampledSurface/isoSurface/isoSurface.C                   | 2 +-
 src/sampling/sampledSurface/isoSurface/isoSurface.H                   | 2 +-
 src/sampling/sampledSurface/isoSurface/isoSurfaceCell.H               | 2 +-
 src/sampling/sampledSurface/writers/nastran/nastranSurfaceWriter.C    | 2 +-
 src/surfMesh/surfMesh/surfMesh.H                                      | 2 +-
 .../chemistryModel/TDACChemistryModel/TDACChemistryModel.C            | 2 +-
 .../chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.H         | 2 +-
 .../chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C          | 4 ++--
 .../chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.H          | 4 ++--
 .../TDACChemistryModel/tabulation/ISAT/binaryNode/binaryNode.H        | 4 ++--
 .../TDACChemistryModel/tabulation/ISAT/binaryTree/binaryTree.C        | 2 +-
 .../TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C  | 2 +-
 .../chemistryModel/basicChemistryModel/basicChemistryModelTemplates.C | 2 +-
 .../fvDOM/radiativeIntensityRay/radiativeIntensityRay.H               | 2 +-
 .../thirdBodyArrheniusReactionRate/thirdBodyArrheniusReactionRate.H   | 2 +-
 .../alphaContactAngle/alphaContactAngleFvPatchScalarField.H           | 2 +-
 33 files changed, 39 insertions(+), 39 deletions(-)

diff --git a/src/mesh/extrudeModel/linearNormal/linearNormal.H b/src/mesh/extrudeModel/linearNormal/linearNormal.H
index b95dce3ee..18b29151b 100644
--- a/src/mesh/extrudeModel/linearNormal/linearNormal.H
+++ b/src/mesh/extrudeModel/linearNormal/linearNormal.H
@@ -59,7 +59,7 @@ class linearNormal
         //- First cell thickness
         scalar firstCellThickness_;
 
-        //- Layer cell distibution
+        //- Layer cell distribution
         scalarList layerPoints_;
 
 
diff --git a/src/mesh/snappyHexMesh/shellSurfaces/shellSurfaces.C b/src/mesh/snappyHexMesh/shellSurfaces/shellSurfaces.C
index cb1d949d9..3b72f60f5 100644
--- a/src/mesh/snappyHexMesh/shellSurfaces/shellSurfaces.C
+++ b/src/mesh/snappyHexMesh/shellSurfaces/shellSurfaces.C
@@ -356,7 +356,7 @@ Foam::shellSurfaces::shellSurfaces
 :
     allGeometry_(allGeometry)
 {
-    // Wilcard specification : loop over all surfaces and try to find a match.
+    // Wildcard specification : loop over all surfaces and try to find a match.
 
     // Count number of shells.
     label shellI = 0;
diff --git a/src/mesh/snappyHexMesh/snappyHexMeshDriver/snappySnapDriver.H b/src/mesh/snappyHexMesh/snappyHexMeshDriver/snappySnapDriver.H
index 75d6b64dd..ea189119b 100644
--- a/src/mesh/snappyHexMesh/snappyHexMeshDriver/snappySnapDriver.H
+++ b/src/mesh/snappyHexMesh/snappyHexMeshDriver/snappySnapDriver.H
@@ -72,7 +72,7 @@ class snappySnapDriver
         // Snapping
 
             //- Calculates (geometric) shared points
-            //  Requires PackedList to be sized and initalised
+            //  Requires PackedList to be sized and initialised
             static label getCollocatedPoints
             (
                 const scalar tol,
diff --git a/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicACMIGAMGInterfaceField/cyclicACMIGAMGInterfaceField.H b/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicACMIGAMGInterfaceField/cyclicACMIGAMGInterfaceField.H
index e06d76328..0f8476783 100644
--- a/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicACMIGAMGInterfaceField/cyclicACMIGAMGInterfaceField.H
+++ b/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicACMIGAMGInterfaceField/cyclicACMIGAMGInterfaceField.H
@@ -129,7 +129,7 @@ public:
 
         //- Cyclic interface functions
 
-            //- Does the interface field perform the transfromation
+            //- Does the interface field perform the transformation
             virtual bool doTransform() const
             {
                 return doTransform_;
diff --git a/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicAMIGAMGInterfaceField/cyclicAMIGAMGInterfaceField.H b/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicAMIGAMGInterfaceField/cyclicAMIGAMGInterfaceField.H
index 868e2cc47..cfcdfefca 100644
--- a/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicAMIGAMGInterfaceField/cyclicAMIGAMGInterfaceField.H
+++ b/src/meshTools/AMIInterpolation/GAMG/interfaceFields/cyclicAMIGAMGInterfaceField/cyclicAMIGAMGInterfaceField.H
@@ -128,7 +128,7 @@ public:
 
         //- Cyclic interface functions
 
-            //- Does the interface field perform the transfromation
+            //- Does the interface field perform the transformation
             virtual bool doTransform() const
             {
                 return doTransform_;
diff --git a/src/meshTools/AMIInterpolation/patches/cyclicACMI/cyclicACMIPointPatchField/cyclicACMIPointPatchField.H b/src/meshTools/AMIInterpolation/patches/cyclicACMI/cyclicACMIPointPatchField/cyclicACMIPointPatchField.H
index 2c108b245..8e1a3ca2d 100644
--- a/src/meshTools/AMIInterpolation/patches/cyclicACMI/cyclicACMIPointPatchField/cyclicACMIPointPatchField.H
+++ b/src/meshTools/AMIInterpolation/patches/cyclicACMI/cyclicACMIPointPatchField/cyclicACMIPointPatchField.H
@@ -183,7 +183,7 @@ public:
 
         // Cyclic AMI coupled interface functions
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return
diff --git a/src/meshTools/AMIInterpolation/patches/cyclicAMI/cyclicAMIPointPatchField/cyclicAMIPointPatchField.H b/src/meshTools/AMIInterpolation/patches/cyclicAMI/cyclicAMIPointPatchField/cyclicAMIPointPatchField.H
index 64765e52f..baee6b1d6 100644
--- a/src/meshTools/AMIInterpolation/patches/cyclicAMI/cyclicAMIPointPatchField/cyclicAMIPointPatchField.H
+++ b/src/meshTools/AMIInterpolation/patches/cyclicAMI/cyclicAMIPointPatchField/cyclicAMIPointPatchField.H
@@ -183,7 +183,7 @@ public:
 
         // Cyclic AMI coupled interface functions
 
-            //- Does the patch field perform the transfromation
+            //- Does the patch field perform the transformation
             virtual bool doTransform() const
             {
                 return
diff --git a/src/meshTools/coordinateSystems/coordinateSystem.H b/src/meshTools/coordinateSystems/coordinateSystem.H
index 561482a2f..ee81ee365 100644
--- a/src/meshTools/coordinateSystems/coordinateSystem.H
+++ b/src/meshTools/coordinateSystems/coordinateSystem.H
@@ -274,7 +274,7 @@ public:
                 return R_();
             }
 
-            //- Update and return the co-ordinate roation for a list of cells
+            //- Update and return the co-ordinate rotation for a list of cells
             const coordinateRotation& R
             (
                 const polyMesh& mesh,
diff --git a/src/meshTools/triSurface/booleanOps/intersectedSurface/intersectedSurface.H b/src/meshTools/triSurface/booleanOps/intersectedSurface/intersectedSurface.H
index a3eb54c9a..7337fa44a 100644
--- a/src/meshTools/triSurface/booleanOps/intersectedSurface/intersectedSurface.H
+++ b/src/meshTools/triSurface/booleanOps/intersectedSurface/intersectedSurface.H
@@ -106,7 +106,7 @@ private:
 
     // Static Member Functions
 
-        //- Debug:Dump edges to stream. Mantains vertex numbering
+        //- Debug:Dump edges to stream. Maintains vertex numbering
         static void writeOBJ
         (
             const pointField& points,
@@ -114,7 +114,7 @@ private:
             Ostream& os
         );
 
-        //- Debug:Dump selected edges to stream. Mantains vertex numbering
+        //- Debug:Dump selected edges to stream. Maintains vertex numbering
         static void writeOBJ
         (
             const pointField& points,
diff --git a/src/parallel/decompose/decompositionMethods/hierarchGeomDecomp/hierarchGeomDecomp.C b/src/parallel/decompose/decompositionMethods/hierarchGeomDecomp/hierarchGeomDecomp.C
index a293a229c..d599aa189 100644
--- a/src/parallel/decompose/decompositionMethods/hierarchGeomDecomp/hierarchGeomDecomp.C
+++ b/src/parallel/decompose/decompositionMethods/hierarchGeomDecomp/hierarchGeomDecomp.C
@@ -692,7 +692,7 @@ Foam::labelList Foam::hierarchGeomDecomp::decompose
     pointField rotatedPoints(rotDelta_ & points);
 
     // Calculate tolerance of cell distribution. For large cases finding
-    // distibution to the cell exact would cause too many iterations so allow
+    // distribution to the cell exact would cause too many iterations so allow
     // some slack.
     label allSize = points.size();
     reduce(allSize, sumOp<label>());
@@ -733,7 +733,7 @@ Foam::labelList Foam::hierarchGeomDecomp::decompose
     pointField rotatedPoints(rotDelta_ & points);
 
     // Calculate tolerance of cell distribution. For large cases finding
-    // distibution to the cell exact would cause too many iterations so allow
+    // distribution to the cell exact would cause too many iterations so allow
     // some slack.
     label allSize = points.size();
     reduce(allSize, sumOp<label>());
diff --git a/src/parallel/reconstruct/reconstruct/processorMeshes.C b/src/parallel/reconstruct/reconstruct/processorMeshes.C
index ef9c6dde3..f1ec34409 100644
--- a/src/parallel/reconstruct/reconstruct/processorMeshes.C
+++ b/src/parallel/reconstruct/reconstruct/processorMeshes.C
@@ -195,7 +195,7 @@ Foam::fvMesh::readUpdateState Foam::processorMeshes::readUpdate()
      || stat == fvMesh::TOPO_PATCH_CHANGE
     )
     {
-        // Reread all meshes and addresssing
+        // Reread all meshes and addressing
         read();
     }
     return stat;
diff --git a/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H b/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
index dfaf4255a..4693d9e5f 100644
--- a/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
+++ b/src/regionModels/surfaceFilmModels/submodels/filmSubModelBase.H
@@ -71,7 +71,7 @@ public:
         //- Construct null
         filmSubModelBase(surfaceFilmRegionModel& film);
 
-        //- Construct from film film wihout name
+        //- Construct from film film without name
         filmSubModelBase
         (
             surfaceFilmRegionModel& film,
diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
index f4b63e79d..7abd48128 100644
--- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
+++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/BrunDrippingInjection/BrunDrippingInjection.H
@@ -100,7 +100,7 @@ protected:
         scalar dCoeff_;
 
         //- Stable film thickness - drips only formed if thickness
-        //  execeeds this threhold value
+        //  exceeds this threshold value
         scalar deltaStable_;
 
         //- Diameters of particles to inject into the dripping
diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
index ad99ab431..de41467f4 100644
--- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
+++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/drippingInjection/drippingInjection.H
@@ -77,7 +77,7 @@ protected:
     // Protected data
 
         //- Stable film thickness - drips only formed if thickness
-        //  execeeds this threhold value
+        //  exceeds this threshold value
         scalar deltaStable_;
 
         //- Number of particles per parcel
diff --git a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/patchInjection/patchInjection.H b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/patchInjection/patchInjection.H
index af8b618da..7b3b33c08 100644
--- a/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/patchInjection/patchInjection.H
+++ b/src/regionModels/surfaceFilmModels/submodels/kinematic/injectionModel/patchInjection/patchInjection.H
@@ -66,8 +66,8 @@ class patchInjection
 
 protected:
 
-        //- Stable film thickness - mass only removed if thickness execeeds
-        //  this threhold value
+        //- Stable film thickness - mass only removed if thickness exceeds
+        //  this threshold value
         scalar deltaStable_;
 
         //- List of patch IDs at which the film is removed
diff --git a/src/renumber/renumberMethods/structuredRenumber/structuredRenumber.C b/src/renumber/renumberMethods/structuredRenumber/structuredRenumber.C
index f56a6476e..29e77eb43 100644
--- a/src/renumber/renumberMethods/structuredRenumber/structuredRenumber.C
+++ b/src/renumber/renumberMethods/structuredRenumber/structuredRenumber.C
@@ -247,7 +247,7 @@ Foam::labelList Foam::structuredRenumber::renumber
         << " cells out of " << nTotalCells
         << "; using " << method_().type() << " renumbering for these" << endl;
 
-    // Get cell order using the method(). These values will get overwitten
+    // Get cell order using the method(). These values will get overwritten
     // by any visited cell so are used only if the number of nLayers is limited.
     labelList oldToOrdered
     (
diff --git a/src/sampling/sampledSet/array/arraySet.H b/src/sampling/sampledSet/array/arraySet.H
index 5058f4670..da6c519a2 100644
--- a/src/sampling/sampledSet/array/arraySet.H
+++ b/src/sampling/sampledSet/array/arraySet.H
@@ -57,7 +57,7 @@ class arraySet
 {
     // Private data
 
-        //- Coordinate syste
+        //- Coordinate system
         coordinateSystem coordSys_;
 
         //- Point density vector
diff --git a/src/sampling/sampledSurface/isoSurface/isoSurface.C b/src/sampling/sampledSurface/isoSurface/isoSurface.C
index 390dc1b2a..4b74df03e 100644
--- a/src/sampling/sampledSurface/isoSurface/isoSurface.C
+++ b/src/sampling/sampledSurface/isoSurface/isoSurface.C
@@ -475,7 +475,7 @@ void Foam::isoSurface::calcCutTypes
 }
 
 
-// Caculate centre of surface.
+// Calculate centre of surface.
 Foam::point Foam::isoSurface::calcCentre(const triSurface& s)
 {
     vector sum = Zero;
diff --git a/src/sampling/sampledSurface/isoSurface/isoSurface.H b/src/sampling/sampledSurface/isoSurface/isoSurface.H
index 7ace70b50..50398c8b9 100644
--- a/src/sampling/sampledSurface/isoSurface/isoSurface.H
+++ b/src/sampling/sampledSurface/isoSurface/isoSurface.H
@@ -149,7 +149,7 @@ class isoSurface
             //- Per face whether is collocated
             PackedBoolList collocatedFaces(const coupledPolyPatch&) const;
 
-            //- Synchonise points on all non-separated coupled patches
+            //- Synchronise points on all non-separated coupled patches
             void syncUnseparatedPoints
             (
                 pointField& collapsedPoint,
diff --git a/src/sampling/sampledSurface/isoSurface/isoSurfaceCell.H b/src/sampling/sampledSurface/isoSurface/isoSurfaceCell.H
index 84e77563b..82343f1e2 100644
--- a/src/sampling/sampledSurface/isoSurface/isoSurfaceCell.H
+++ b/src/sampling/sampledSurface/isoSurface/isoSurfaceCell.H
@@ -146,7 +146,7 @@ class isoSurfaceCell
             const labelledTri&
         );
 
-        //- Caculate centre of surface.
+        //- Calculate centre of surface.
         static point calcCentre(const triSurface&);
 
         //- Replace surface (localPoints, localTris) with single point.
diff --git a/src/sampling/sampledSurface/writers/nastran/nastranSurfaceWriter.C b/src/sampling/sampledSurface/writers/nastran/nastranSurfaceWriter.C
index 8a7cd7dc0..620b568cd 100644
--- a/src/sampling/sampledSurface/writers/nastran/nastranSurfaceWriter.C
+++ b/src/sampling/sampledSurface/writers/nastran/nastranSurfaceWriter.C
@@ -57,7 +57,7 @@ void Foam::nastranSurfaceWriter::formatOS(OFstream& os) const
 {
     os.setf(ios_base::scientific);
 
-    // capitalise the E marker
+    // capitalize the E marker
     os.setf(ios_base::uppercase);
 
     label prec = 0;
diff --git a/src/surfMesh/surfMesh/surfMesh.H b/src/surfMesh/surfMesh/surfMesh.H
index 538862680..262553cef 100644
--- a/src/surfMesh/surfMesh/surfMesh.H
+++ b/src/surfMesh/surfMesh/surfMesh.H
@@ -69,7 +69,7 @@ public:
 
         //- Enumeration defining the state of the mesh after a read update.
         //  Used for post-processing applications, where the mesh
-        //  needs to update based on the files written in time directores
+        //  needs to update based on the files written in time directories
         enum readUpdateState
         {
             UNCHANGED,
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
index c43d34d9a..7caf8bf55 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/TDACChemistryModel.C
@@ -405,7 +405,7 @@ void Foam::TDACChemistryModel<ReactionThermo, ThermoType>::jacobian
 
     // If the mechanism reduction is active, the computed Jacobian
     // is compact (size of the reduced set of species)
-    // but according to the informations of the complete set
+    // but according to the information of the complete set
     // (i.e. for the third-body efficiencies)
 
     const scalar T = c[this->nSpecie_];
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.H b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.H
index d2d23ed56..7138456ae 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.H
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/reduction/DRGEP/DRGEP.H
@@ -79,7 +79,7 @@ Description
     When this coefficient alpha is below the specified threshold, the species is
     removed from the search initiating set. In the original paper from
     Pepiot-Desjardins et al.[2], this coefficient is further transformed to
-    compute a global normalized scaling coefficient but here as it is dynamicly
+    compute a global normalized scaling coefficient but here as it is dynamically
     computed, alpha is not introduced in the calculation of R.
 
     References:
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
index f4eaa709a..7fed83ef6 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.C
@@ -371,10 +371,10 @@ void Foam::chemistryTabulationMethods::ISAT<CompType, ThermoType>::computeA
         Rcq[speciesNumber + 2] = Rphiq[Rphiq.size() - nAdditionalEqns_ + 2];
     }
 
-    // Aaa is computed implicitely,
+    // Aaa is computed implicitly,
     // A is given by A = C(psi0, t0+dt), where C is obtained through solving
     // d/dt C(psi0,t) = J(psi(t))C(psi0,t)
-    // If we solve it implicitely:
+    // If we solve it implicitly:
     // (C(psi0, t0+dt) - C(psi0,t0))/dt = J(psi(t0+dt))C(psi0,t0+dt)
     // The Jacobian is thus computed according to the mapping
     // C(psi0,t0+dt)*(I-dt*J(psi(t0+dt))) = C(psi0, t0)
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.H b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.H
index 3a478146d..755fbc781 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.H
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/ISAT.H
@@ -79,7 +79,7 @@ class ISAT
         label checkEntireTreeInterval_;
 
         //- Factor that multiply the ideal depth of a binary tree to decide
-        // wheter to try to balance of not
+        // whether to try to balance of not
         scalar maxDepthFactor_;
 
         //- Minimal size before trying to balance the tree
@@ -156,7 +156,7 @@ class ISAT
         bool cleanAndBalance();
 
         //- Functions to construct the gradients matrix
-        //  When mecanism reduction is active, the A matrix is given by
+        //  When mechanism reduction is active, the A matrix is given by
         //        Aaa Aad
         //  A = ( Ada Add ), where the sub gradient matrices are:
         //  (Aaa) active species according to active species, (Aad) active
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryNode/binaryNode.H b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryNode/binaryNode.H
index e17734358..0d176418a 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryNode/binaryNode.H
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryNode/binaryNode.H
@@ -78,7 +78,7 @@ public:
     //  Let E be the ellipsoid which covers the region of accuracy of
     //  the left leaf (previously defined). E is described by
     //  E={phi| ||L^T.(phi-phi0)|| <= 1}, (see chemPoint for more details).
-    //  let E' be the tranformation of E in a space where E' is a hypersphere
+    //  let E' be the transformation of E in a space where E' is a hypersphere
     //  centered at the origin, in this space y=L^T.(phi-phi0) and then
     //  E'={y| ||y||<=1}
     //  let u be the unit vector joining the center of E' and the newly added
@@ -88,7 +88,7 @@ public:
     //  perpendicular bisector of the segment linking 0 to y2
     //      H' = {y| u^T.(y-yh) = 0},
     //  where yh = y2/2.
-    //  In the orignal composition space, the hyperplane H is defined by
+    //  In the original composition space, the hyperplane H is defined by
     //      H = {y| v^T(phi-phih) = 0},
     //  where phih = phi0 + L^-T.yh = (phi0 + phiq) / 2 and v is
     //            L.L^T (phiq-phi0)
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryTree/binaryTree.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryTree/binaryTree.C
index 5b946cceb..dd3c188ba 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryTree/binaryTree.C
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/binaryTree/binaryTree.C
@@ -114,7 +114,7 @@ bool Foam::binaryTree<CompType, ThermoType>::inSubTree
                 return inSubTree(phiq, y->nodeRight(),x);
             }
         }
-        else // on right side (symetric of above)
+        else // on right side (symmetric of above)
         {
             if (y->nodeRight() == nullptr)
             {
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
index f02379d20..4e894fb75 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/TDACChemistryModel/tabulation/ISAT/chemPointISAT/chemPointISAT.C
@@ -28,7 +28,7 @@ License
 
 // * * * * * * * * * * * * * * Static Data Members * * * * * * * * * * * * * //
 
-// Defined as static to be able to dynamicly change it during simulations
+// Defined as static to be able to dynamically change it during simulations
 // (all chemPoints refer to the same object)
 template<class CompType, class ThermoType>
 Foam::scalar Foam::chemPointISAT<CompType, ThermoType>::tolerance_;
diff --git a/src/thermophysicalModels/chemistryModel/chemistryModel/basicChemistryModel/basicChemistryModelTemplates.C b/src/thermophysicalModels/chemistryModel/chemistryModel/basicChemistryModel/basicChemistryModelTemplates.C
index edc8674d5..965dacc35 100644
--- a/src/thermophysicalModels/chemistryModel/chemistryModel/basicChemistryModel/basicChemistryModelTemplates.C
+++ b/src/thermophysicalModels/chemistryModel/chemistryModel/basicChemistryModel/basicChemistryModelTemplates.C
@@ -50,7 +50,7 @@ Foam::autoPtr<ChemistryModel> Foam::basicChemistryModel::New
     if (!chemistryDict.isDict("chemistryType"))
     {
         FatalErrorInFunction
-            << "Template paramater based chemistry solver selection is no "
+            << "Template parameter based chemistry solver selection is no "
             << "longer supported. Please create a chemistryType dictionary"
             << "instead." << endl << endl << "For example, the entry:" << endl
             << "    chemistrySolver ode<StandardChemistryModel<"
diff --git a/src/thermophysicalModels/radiation/radiationModels/fvDOM/radiativeIntensityRay/radiativeIntensityRay.H b/src/thermophysicalModels/radiation/radiationModels/fvDOM/radiativeIntensityRay/radiativeIntensityRay.H
index 0afcf90c9..a64fa7d98 100644
--- a/src/thermophysicalModels/radiation/radiationModels/fvDOM/radiativeIntensityRay/radiativeIntensityRay.H
+++ b/src/thermophysicalModels/radiation/radiationModels/fvDOM/radiativeIntensityRay/radiativeIntensityRay.H
@@ -64,7 +64,7 @@ private:
 
     // Private data
 
-        //- Refence to the owner fvDOM object
+        //- Reference to the owner fvDOM object
         const fvDOM& dom_;
 
         //- Reference to the mesh
diff --git a/src/thermophysicalModels/specie/reaction/reactionRate/thirdBodyArrheniusReactionRate/thirdBodyArrheniusReactionRate.H b/src/thermophysicalModels/specie/reaction/reactionRate/thirdBodyArrheniusReactionRate/thirdBodyArrheniusReactionRate.H
index c12d914c6..733e2ec8e 100644
--- a/src/thermophysicalModels/specie/reaction/reactionRate/thirdBodyArrheniusReactionRate/thirdBodyArrheniusReactionRate.H
+++ b/src/thermophysicalModels/specie/reaction/reactionRate/thirdBodyArrheniusReactionRate/thirdBodyArrheniusReactionRate.H
@@ -25,7 +25,7 @@ Class
     Foam::thirdBodyArrheniusReactionRate
 
 Description
-    Arrhenius reaction rate enhanced by third-body interation.
+    Arrhenius reaction rate enhanced by third-body interaction.
 
 SourceFiles
     thirdBodyArrheniusReactionRateI.H
diff --git a/src/transportModels/twoPhaseProperties/alphaContactAngle/alphaContactAngle/alphaContactAngleFvPatchScalarField.H b/src/transportModels/twoPhaseProperties/alphaContactAngle/alphaContactAngle/alphaContactAngleFvPatchScalarField.H
index fdc46b9e0..633192261 100644
--- a/src/transportModels/twoPhaseProperties/alphaContactAngle/alphaContactAngle/alphaContactAngleFvPatchScalarField.H
+++ b/src/transportModels/twoPhaseProperties/alphaContactAngle/alphaContactAngle/alphaContactAngleFvPatchScalarField.H
@@ -30,7 +30,7 @@ Group
 Description
     Abstract base class for alphaContactAngle boundary conditions.
 
-    Derived classes must implement the theta() fuction which returns the
+    Derived classes must implement the theta() function which returns the
     wall contact angle field.
 
     The essential entry "limit" controls the gradient of alpha1 on the wall:
-- 
2.16.1

henry

2018-02-17 11:25

manager   ~0009326

No need, as I said before the pull-requests are not very helpful it would be easier if the current code and future code and contributions can more easily be checked by the developers and contributors. I will look into using emacs for this as codespell cannot differentiate between comment, strings and code otherwise I will use codespell directly as this is easier than studying pull requests.

henry

2018-02-17 11:26

manager   ~0009327

This will be dealt with at a more convenient time as it is VERY low priority.

henry

2018-03-05 20:15

manager   ~0009370

Resolved by commit 1073607cb0469a6fd8384d9e779ce4108f7a2256

Issue History

Date Modified Username Field Change
2018-02-14 18:59 kunda1 New Issue
2018-02-14 20:13 henry Note Added: 0009312
2018-02-14 20:16 henry Note Added: 0009313
2018-02-14 20:18 kunda1 Note Added: 0009314
2018-02-14 20:21 kunda1 Note Added: 0009315
2018-02-14 20:28 henry Note Added: 0009316
2018-02-14 20:34 kunda1 Note Added: 0009317
2018-02-14 20:34 kunda1 Note Added: 0009318
2018-02-14 20:40 kunda1 Note Added: 0009319
2018-02-17 10:25 kunda1 Note Added: 0009323
2018-02-17 10:49 henry Note Added: 0009324
2018-02-17 11:08 kunda1 File Added: OpenFOAM-misc-typos-split1.patch
2018-02-17 11:08 kunda1 Note Added: 0009325
2018-02-17 11:08 kunda1 File Added: OpenFOAM-misc-typos-split2.patch
2018-02-17 11:08 kunda1 File Added: OpenFOAM-misc-typos-split3.patch
2018-02-17 11:09 kunda1 File Added: OpenFOAM-misc-typos-split4.patch
2018-02-17 11:25 henry Note Added: 0009326
2018-02-17 11:26 henry Assigned To => henry
2018-02-17 11:26 henry Status new => closed
2018-02-17 11:26 henry Resolution open => suspended
2018-02-17 11:26 henry Fixed in Version => dev
2018-02-17 11:26 henry Note Added: 0009327
2018-03-05 20:15 henry Status closed => resolved
2018-03-05 20:15 henry Resolution suspended => fixed
2018-03-05 20:15 henry Note Added: 0009370